<?php
/**
 * Project:
 * Contenido Content Management System
 *
 * Description:
 * Contenido autoloader classmap file. Contains all available classes and 
 * related class files in several Contenido folder.
 *
 * NOTES:
 * - Don't edit this file manually, instead create a file
 *   config.autoloader.individual.php in the same folder which returns your
 *   enhancement array (return array('class' => 'path', 'class' => 'path');)
 *
 *
 * Requirements:
 * @con_php_req 5.0
 *
 * @package    Contenido Backend includes
 * @version    0.1
 * @author     System
 * @copyright  four for business AG <www.4fb.de>
 * @license    http://www.contenido.org/license/LIZENZ.txt
 * @link       http://www.4fb.de
 * @link       http://www.contenido.org
 * @since      file available since Contenido release >= 4.8.15
 *
 * {@internal
 *     created  2011-03-13
 * }}
 */

$aAutoload = array(
    'ConUser_Abstract' => 'admin/classes/abstract_classes/class.conuser.php',
    'Action' => 'admin/classes/class.action.php',
    'ActiveUsers' => 'admin/classes/class.activeusers.php',
    'Ajax' => 'admin/classes/class.ajax.php',
    'Area' => 'admin/classes/class.area.php',
    'Art' => 'admin/classes/class.art.php',
    'Article' => 'admin/classes/class.article.php',
    'ArticleCollection' => 'admin/classes/class.article.php',
    'ArtSpecCollection' => 'admin/classes/class.artspec.php',
    'ArtSpecItem' => 'admin/classes/class.artspec.php',
    'Contenido_Autoload' => 'admin/classes/class.autoload.php',
    'Contenido_Backend' => 'admin/classes/class.backend.php',
    'Cat' => 'admin/classes/class.cat.php',
    'CategoryCollection' => 'admin/classes/class.category.php',
    'CategoryItem' => 'admin/classes/class.category.php',
    'CategoryLanguageCollection' => 'admin/classes/class.category.php',
    'CategoryLanguageItem' => 'admin/classes/class.category.php',
    'cApiCECRegistry' => 'admin/classes/class.cec.php',
    'pApiCECChainItem' => 'admin/classes/class.cec.php',
    'CEC_Hook' => 'admin/classes/class.cec_hook.php',
    'cCharacterConverter' => 'admin/classes/class.chartable.php',
    'Client' => 'admin/classes/class.client.php',
    'Cms_Date' => 'admin/classes/class.cms_date.php',
    'Cms_FileList' => 'admin/classes/class.cms_filelist.php',
    'Cms_Teaser' => 'admin/classes/class.cms_teaser.php',
    'CommunicationCollection' => 'admin/classes/class.communications.php',
    'CommunicationItem' => 'admin/classes/class.communications.php',
    'ConUser' => 'admin/classes/class.conuser.php',
    'CSV' => 'admin/classes/class.csv.php',
    'DBFSCollection' => 'admin/classes/class.dbfs.php',
    'DBFSItem' => 'admin/classes/class.dbfs.php',
    'ExcelWorksheet' => 'admin/classes/class.excel.php',
    'Form' => 'admin/classes/class.form.php',
    'FormField' => 'admin/classes/class.form.php',
    'FormCheck' => 'admin/classes/class.form.php',
    'FrontendGroupCollection' => 'admin/classes/class.frontend.groups.php',
    'FrontendGroup' => 'admin/classes/class.frontend.groups.php',
    'FrontendGroupMemberCollection' => 'admin/classes/class.frontend.groups.php',
    'FrontendGroupMember' => 'admin/classes/class.frontend.groups.php',
    'FrontendLogic' => 'admin/classes/class.frontend.logic.php',
    'FrontendPermissionCollection' => 'admin/classes/class.frontend.permissions.php',
    'FrontendPermission' => 'admin/classes/class.frontend.permissions.php',
    'FrontendUserCollection' => 'admin/classes/class.frontend.users.php',
    'FrontendUser' => 'admin/classes/class.frontend.users.php',
    'Contenido_ItemException' => 'admin/classes/class.genericdb.php',
    'Contenido_ItemCache' => 'admin/classes/class.genericdb.php',
    'Contenido_ItemBaseAbstract' => 'admin/classes/class.genericdb.php',
    'ItemCollection' => 'admin/classes/class.genericdb.php',
    'Item' => 'admin/classes/class.genericdb.php',
    'Groups' => 'admin/classes/class.group.php',
    'Group' => 'admin/classes/class.group.php',
    'cHTML' => 'admin/classes/class.htmlelements.php',
    'cHTMLFormElement' => 'admin/classes/class.htmlelements.php',
    'cHTMLHiddenField' => 'admin/classes/class.htmlelements.php',
    'cHTMLButton' => 'admin/classes/class.htmlelements.php',
    'cHTMLTextbox' => 'admin/classes/class.htmlelements.php',
    'cHTMLPasswordbox' => 'admin/classes/class.htmlelements.php',
    'cHTMLTextarea' => 'admin/classes/class.htmlelements.php',
    'cHTMLLabel' => 'admin/classes/class.htmlelements.php',
    'cHTMLSelectElement' => 'admin/classes/class.htmlelements.php',
    'cHTMLOptionElement' => 'admin/classes/class.htmlelements.php',
    'cHTMLRadiobutton' => 'admin/classes/class.htmlelements.php',
    'cHTMLCheckbox' => 'admin/classes/class.htmlelements.php',
    'cHTMLUpload' => 'admin/classes/class.htmlelements.php',
    'cHTMLLink' => 'admin/classes/class.htmlelements.php',
    'cHTMLDiv' => 'admin/classes/class.htmlelements.php',
    'cHTMLSpan' => 'admin/classes/class.htmlelements.php',
    'cHTMLImage' => 'admin/classes/class.htmlelements.php',
    'cHTMLTable' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableBody' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableRow' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableData' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableHead' => 'admin/classes/class.htmlelements.php',
    'cHTMLTableHeader' => 'admin/classes/class.htmlelements.php',
    'cHTMLIFrame' => 'admin/classes/class.htmlelements.php',
    'cHTMLAlignmentTable' => 'admin/classes/class.htmlelements.php',
    'cHTMLForm' => 'admin/classes/class.htmlelements.php',
    'cHTMLScript' => 'admin/classes/class.htmlelements.php',
    'HtmlParser' => 'admin/classes/class.htmlparser.php',
    'cHTMLValidator' => 'admin/classes/class.htmlvalidator.php',
    'HttpInputValidator' => 'admin/classes/class.httpinputvalidator.php',
    'InUseCollection' => 'admin/classes/class.inuse.php',
    'InUseItem' => 'admin/classes/class.inuse.php',
    'cIterator' => 'admin/classes/class.iterator.php',
    'Languages' => 'admin/classes/class.lang.php',
    'Language' => 'admin/classes/class.lang.php',
    'Layout' => 'admin/classes/class.layout.php',
    'cMetaObject' => 'admin/classes/class.metaobject.php',
    'Contenido_Navigation' => 'admin/classes/class.navigation.php',
    'NoteCollection' => 'admin/classes/class.note.php',
    'NoteItem' => 'admin/classes/class.note.php',
    'NoteView' => 'admin/classes/class.note.php',
    'NoteList' => 'admin/classes/class.note.php',
    'NoteListItem' => 'admin/classes/class.note.php',
    'NoteLink' => 'admin/classes/class.note.php',
    'Contenido_Notification' => 'admin/classes/class.notification.php',
    'PHPMailer' => 'admin/classes/class.phpmailer.php',
    'PropertyCollection' => 'admin/classes/class.properties.php',
    'PropertyItem' => 'admin/classes/class.properties.php',
    'Purge' => 'admin/classes/class.purge.php',
    'RequestPassword' => 'admin/classes/class.request.password.php',
    'Request' => 'admin/classes/class.request.php',
    'ValidationError' => 'admin/classes/class.request.php',
    'SearchBaseAbstract' => 'admin/classes/class.search.php',
    'Index' => 'admin/classes/class.search.php',
    'Search' => 'admin/classes/class.search.php',
    'SearchResult' => 'admin/classes/class.search.php',
    'Search_helper' => 'admin/classes/class.search.php',
    'Contenido_Security_Exception' => 'admin/classes/class.security.php',
    'Contenido_Security' => 'admin/classes/class.security.php',
    'SMTP' => 'admin/classes/class.smtp.php',
    'Structure' => 'admin/classes/class.structure.php',
    'Table' => 'admin/classes/class.table.php',
    'clIfFunctionParser' => 'admin/classes/template/class.clIfFunctionParser.php',
    'clCounterFunctionParser' => 'admin/classes/template/class.clCounterFunctionParser.php',
    'clStrAPIFunctionsParser' => 'admin/classes/template/class.clStrAPIFunctionsParser.php',
    'Template' => 'admin/classes/template/class.template.php',
    'TemplateConfig' => 'admin/classes/class.templateconfig.php',
    'TODOCollection' => 'admin/classes/class.todo.php',
    'TODOItem' => 'admin/classes/class.todo.php',
    'TODOLink' => 'admin/classes/class.todo.php',
    'TreeItem' => 'admin/classes/class.treeitem.php',
    'UI_Left_Top' => 'admin/classes/class.ui.php',
    'UI_Menu' => 'admin/classes/class.ui.php',
    'UI_Table_Form' => 'admin/classes/class.ui.php',
    'UI_Form' => 'admin/classes/class.ui.php',
    'UI_Page' => 'admin/classes/class.ui.php',
    'Link' => 'admin/classes/class.ui.php',
    'UI_List' => 'admin/classes/class.ui.php',
    'cScrollList' => 'admin/classes/class.ui.php',
    'Contenido_UpdateNotifier' => 'admin/classes/class.update.notifier.php',
    'UploadCollection' => 'admin/classes/class.upload.php',
    'UploadItem' => 'admin/classes/class.upload.php',
    'Users' => 'admin/classes/class.user.php',
    'User' => 'admin/classes/class.user.php',
    'Version' => 'admin/classes/class.version.php',
    'VersionFile' => 'admin/classes/class.versionFile.php',
    'VersionLayout' => 'admin/classes/class.versionLayout.php',
    'VersionModule' => 'admin/classes/class.versionModule.php',
    'cWYSIWYGEditor' => 'admin/classes/class.wysiwyg_editor.php',
    'XML_doc' => 'admin/classes/class.xml.php',
    'XmlParser' => 'admin/classes/class.xmlparser.php',
    'XmlTree' => 'admin/classes/class.xmltree.php',
    'XmlNode' => 'admin/classes/class.xmltree.php',
    'XsltProcessor' => 'admin/classes/class.xsltprocessor.php',
    'cApiActionCollection' => 'admin/classes/contenido/class.action.php',
    'cApiAction' => 'admin/classes/contenido/class.action.php',
    'cApiAreaCollection' => 'admin/classes/contenido/class.area.php',
    'cApiArea' => 'admin/classes/contenido/class.area.php',
    'cApiArticleCollection' => 'admin/classes/contenido/class.article.php',
    'cApiArticle' => 'admin/classes/contenido/class.article.php',
    'cApiArticleLanguageCollection' => 'admin/classes/contenido/class.articlelanguage.php',
    'cApiArticleLanguage' => 'admin/classes/contenido/class.articlelanguage.php',
    'cApiCategoryCollection' => 'admin/classes/contenido/class.category.php',
    'cApiCategory' => 'admin/classes/contenido/class.category.php',
    'cApiCategoryArticleCollection' => 'admin/classes/contenido/class.categoryarticle.php',
    'cApiCategoryArticle' => 'admin/classes/contenido/class.categoryarticle.php',
    'cApiCategoryLanguageCollection' => 'admin/classes/contenido/class.categorylanguage.php',
    'cApiCategoryLanguage' => 'admin/classes/contenido/class.categorylanguage.php',
    'cApiCategoryTreeCollection' => 'admin/classes/contenido/class.categorytree.php',
    'cApiTree' => 'admin/classes/contenido/class.categorytree.php',
    'cApiClientCollection' => 'admin/classes/contenido/class.client.php',
    'cApiClient' => 'admin/classes/contenido/class.client.php',
    'cApiClientLanguageCollection' => 'admin/classes/contenido/class.clientslang.php',
    'cApiClientLanguage' => 'admin/classes/contenido/class.clientslang.php',
    'cApiContainerCollection' => 'admin/classes/contenido/class.container.php',
    'cApiContainer' => 'admin/classes/contenido/class.container.php',
    'cApiContainerConfigurationCollection' => 'admin/classes/contenido/class.containerconfig.php',
    'cApiContainerConfiguration' => 'admin/classes/contenido/class.containerconfig.php',
    'cApiFileCollection' => 'admin/classes/contenido/class.file.php',
    'cApiFile' => 'admin/classes/contenido/class.file.php',
    'cApiFrameFileCollection' => 'admin/classes/contenido/class.framefile.php',
    'cApiFrameFile' => 'admin/classes/contenido/class.framefile.php',
    'cApiLanguageCollection' => 'admin/classes/contenido/class.language.php',
    'cApiLanguage' => 'admin/classes/contenido/class.language.php',
    'cApiLayoutCollection' => 'admin/classes/contenido/class.layout.php',
    'cApiLayout' => 'admin/classes/contenido/class.layout.php',
    'cApiModuleCollection' => 'admin/classes/contenido/class.module.php',
    'cApiModule' => 'admin/classes/contenido/class.module.php',
    'cApiModuleTranslationCollection' => 'admin/classes/contenido/class.module.php',
    'cApiModuleTranslation' => 'admin/classes/contenido/class.module.php',
    'cApiTemplateCollection' => 'admin/classes/contenido/class.template.php',
    'cApiTemplate' => 'admin/classes/contenido/class.template.php',
    'cApiTemplateConfigurationCollection' => 'admin/classes/contenido/class.templateconfig.php',
    'cApiTemplateConfiguration' => 'admin/classes/contenido/class.templateconfig.php',
    'cApiUserCollection' => 'admin/classes/contenido/class.user.php',
    'cApiUser' => 'admin/classes/contenido/class.user.php',
    'cApiMetaTypeCollection' => 'admin/classes/contenido/class.metatype.php',
    'cApiMetaType' => 'admin/classes/contenido/class.metatype.php',
    'cApiMetaTagCollection' => 'admin/classes/contenido/class.metatag.php',
    'cApiMetaTag' => 'admin/classes/contenido/class.metatag.php',
    'Contenido_Category' => 'admin/classes/Contenido_Category/Contenido_Category.class.php',
    'Contenido_Categories' => 'admin/classes/Contenido_Category/Contenido_Category.class.php',
    'Contenido_Category_Language' => 'admin/classes/Contenido_Category/Contenido_Category.class.php',
    'Contenido_Category_Base' => 'admin/classes/Contenido_Category/Contenido_Category.class.php',
    'Contenido_Category_Articles' => 'admin/classes/Contenido_Category/Contenido_Category_Articles.class.php',
    'Contenido_FrontendNavigation' => 'admin/classes/Contenido_FrontendNavigation/Contenido_FrontendNavigation.class.php',
    'Contenido_FrontendNavigation_Base' => 'admin/classes/Contenido_FrontendNavigation/Contenido_FrontendNavigation_Base.class.php',
    'Contenido_FrontendNavigation_Breadcrumb' => 'admin/classes/Contenido_FrontendNavigation/Contenido_FrontendNavigation_Breadcrumb.class.php',
    'cDatatypeCurrency' => 'admin/classes/datatypes/class.datatype.currency.php',
    'cDatatypeDateTime' => 'admin/classes/datatypes/class.datatype.datetime.php',
    'cDatatypeNumber' => 'admin/classes/datatypes/class.datatype.number.php',
    'cDatatype' => 'admin/classes/datatypes/class.datatype.php',
    'DebuggerFactory' => 'admin/classes/Debug/DebuggerFactory.class.php',
    'Debug_DevNull' => 'admin/classes/Debug/Debug_DevNull.class.php',
    'Debug_File' => 'admin/classes/Debug/Debug_File.class.php',
    'Debug_Hidden' => 'admin/classes/Debug/Debug_Hidden.class.php',
    'Debug_Visible' => 'admin/classes/Debug/Debug_Visible.class.php',
    'Debug_VisibleAdv' => 'admin/classes/Debug/Debug_VisibleAdv.class.php',
    'Debug_VisibleAdv_Item' => 'admin/classes/Debug/Debug_VisibleAdv.class.php',
    'IDebug' => 'admin/classes/Debug/IDebug.php',
    'gdbDriver' => 'admin/classes/drivers/class.gdb.driver.php',
    'gdbMySQL' => 'admin/classes/drivers/mysql/class.gdb.mysql.php',
    'ConUserException' => 'admin/classes/exceptions/exception.conuser.php',
    'iConUser' => 'admin/classes/interfaces/interface.conuser.php',
    'cBufferedLog' => 'admin/classes/log/class.bufferedlog.php',
    'cLog' => 'admin/classes/log/class.log.php',
    'cModuleLog' => 'admin/classes/log/class.modulelog.php',
    'cTree' => 'admin/classes/tree/class.ctree.php',
    'cTreeItem' => 'admin/classes/tree/class.ctreeitem.php',
    'Contenido_Url' => 'admin/classes/Url/Contenido_Url.class.php',
    'Contenido_UrlBuilder' => 'admin/classes/UrlBuilder/Contenido_UrlBuilder.class.php',
    'NotInitializedException' => 'admin/classes/UrlBuilder/Contenido_UrlBuilderConfig.class.php',
    'Contenido_UrlBuilderConfig' => 'admin/classes/UrlBuilder/Contenido_UrlBuilderConfig.class.php',
    'Contenido_UrlBuilderFactory' => 'admin/classes/UrlBuilder/Contenido_UrlBuilderFactory.class.php',
    'Contenido_UrlBuilder_Custom' => 'admin/classes/UrlBuilder/Contenido_UrlBuilder_Custom.class.php',
    'Contenido_UrlBuilder_CustomPath' => 'admin/classes/UrlBuilder/Contenido_UrlBuilder_CustomPath.class.php',
    'Contenido_UrlBuilder_Frontcontent' => 'admin/classes/UrlBuilder/Contenido_UrlBuilder_Frontcontent.class.php',
    'cViewAdvancedMenu' => 'admin/classes/widgets/class.views.advancedmenu.php',
    'cViewItems' => 'admin/classes/widgets/class.views.advancedmenu.php',
    'cApiClickableAction' => 'admin/classes/widgets/class.widgets.actionbutton.php',
    'cApiClickableQuestionAction' => 'admin/classes/widgets/class.widgets.actionbutton.php',
    'cWidgetMenuActionList' => 'admin/classes/widgets/class.widgets.actionlist.php',
    'cWidgetButton' => 'admin/classes/widgets/class.widgets.buttons.php',
    'cWidgetToggleButton' => 'admin/classes/widgets/class.widgets.buttons.php',
    'cWidgetMultiToggleButton' => 'admin/classes/widgets/class.widgets.buttons.php',
    'cCalendarControl' => 'admin/classes/widgets/class.widgets.calendar.php',
    'cDataTextWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataTextareaWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataCodeTextareaWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataDropdownWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataForeignTableDropdownWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataCheckboxWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDataMultiTextboxWidget' => 'admin/classes/widgets/class.widgets.datawidgets.php',
    'cDateChooser' => 'admin/classes/widgets/class.widgets.datechooser.php',
    'cDatefield' => 'admin/classes/widgets/class.widgets.datefield.php',
    'cDropdownDateSelect' => 'admin/classes/widgets/class.widgets.dateselect.php',
    'cFoldingRow' => 'admin/classes/widgets/class.widgets.foldingrow.php',
    'cNominalNumberField' => 'admin/classes/widgets/class.widgets.nominaltextfield.php',
    'cNominalCurrencyField' => 'admin/classes/widgets/class.widgets.nominaltextfield.php',
    'cPage' => 'admin/classes/widgets/class.widgets.page.php',
    'cPageLeftTop' => 'admin/classes/widgets/class.widgets.page.php',
    'cPageLeftTopMultiPane' => 'admin/classes/widgets/class.widgets.page.php',
    'cNewPageLeftTopMultiPane' => 'admin/classes/widgets/class.widgets.page.php',
    'cObjectPager' => 'admin/classes/widgets/class.widgets.pager.php',
    'cPager' => 'admin/classes/widgets/class.widgets.pager.php',
    'cSwitchableDateChooser' => 'admin/classes/widgets/class.widgets.switchabledatechooser.php',
    'cWidgetTableEdit' => 'admin/classes/widgets/class.widgets.tableedit.php',
    'cWidgetTreeView' => 'admin/classes/widgets/class.widgets.treeview.php',
    'cTableView' => 'admin/classes/widgets/class.widgets.views.php',
    'cApiXml2Array' => 'admin/classes/xml/class.xml2array.php',
    'QRcode' => 'admin/external/phpqrcode/qrlib.php',
    'Output_Compressor' => 'admin/classes/class.output_compressor.php',
    'EmailAddressValidator' => 'admin/external/email_address_validation/EmailAddressValidator.php',
    'SMTP_validateEmail' => 'admin/external/email_address_validation/smtp_validateEmail.class.php',
    'FormValidation' => 'admin/classes/class.form.validation.php',
    'GraphicsEnvironment' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsObject' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsGroup' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsBoxObject' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsLine' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsRectangle' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsFilledRectangle' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsOval' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsFilledOval' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsPolygon' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsFilledPolygon' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsText' => 'admin/classes/graphics/class.graphics.php',
    'GraphicsTextTTF' => 'admin/classes/graphics/class.graphics.php',
    'ftp' => 'admin/classes/class.ftp.php',
    'sftp' => 'admin/classes/class.sftp.php',
    'FieldTypes' => 'admin/classes/class.html5form.php',
    'NumericFieldTypes' => 'admin/classes/class.html5form.php',
    'LabelPositions' => 'admin/classes/class.html5form.php',
    'ButtonTypes' => 'admin/classes/class.html5form.php',
    'html5form' => 'admin/classes/class.html5form.php',
    # phpseclib
    'phpseclib3\Common\Functions\Strings' => 'admin/external/phpseclib3.0/Common/Functions/Strings.php',
    'phpseclib3\Crypt\AES' => 'admin/external/phpseclib3.0/Crypt/AES.php',
    'phpseclib3\Crypt\Blowfish' => 'admin/external/phpseclib3.0/Crypt/Blowfish.php',
    'phpseclib3\Crypt\ChaCha20' => 'admin/external/phpseclib3.0/Crypt/ChaCha20.php',
    'phpseclib3\Crypt\DES' => 'admin/external/phpseclib3.0/Crypt/DES.php',
    'phpseclib3\Crypt\DH' => 'admin/external/phpseclib3.0/Crypt/DH.php',
    'phpseclib3\Crypt\DSA' => 'admin/external/phpseclib3.0/Crypt/DSA.php',
    'phpseclib3\Crypt\EC' => 'admin/external/phpseclib3.0/Crypt/EC.php',
    'phpseclib3\Crypt\Hash' => 'admin/external/phpseclib3.0/Crypt/Hash.php',
    'phpseclib3\Crypt\PublicKeyLoader' => 'admin/external/phpseclib3.0/Crypt/PublicKeyLoader.php',
    'phpseclib3\Crypt\Random' => 'admin/external/phpseclib3.0/Crypt/Random.php',
    'phpseclib3\Crypt\RC2' => 'admin/external/phpseclib3.0/Crypt/RC2.php',
    'phpseclib3\Crypt\RC4' => 'admin/external/phpseclib3.0/Crypt/RC4.php',
    'phpseclib3\Crypt\Rijndael' => 'admin/external/phpseclib3.0/Crypt/Rijndael.php',
    'phpseclib3\Crypt\RSA' => 'admin/external/phpseclib3.0/Crypt/RSA.php',
    'phpseclib3\Crypt\Salsa20' => 'admin/external/phpseclib3.0/Crypt/Salsa20.php',
    'phpseclib3\Crypt\TripleDES' => 'admin/external/phpseclib3.0/Crypt/TripleDES.php',
    'phpseclib3\Crypt\Twofish' => 'admin/external/phpseclib3.0/Crypt/Twofish.php',
    'phpseclib3\Crypt\Common\AsymmetricKey' => 'admin/external/phpseclib3.0/Crypt/Common/AsymmetricKey.php',
    'phpseclib3\Crypt\Common\BlockCipher' => 'admin/external/phpseclib3.0/Crypt/Common/BlockCipher.php',
    'phpseclib3\Crypt\Common\PrivateKey' => 'admin/external/phpseclib3.0/Crypt/Common/PrivateKey.php',
    'phpseclib3\Crypt\Common\PublicKey' => 'admin/external/phpseclib3.0/Crypt/Common/PublicKey.php',
    'phpseclib3\Crypt\Common\StreamCipher' => 'admin/external/phpseclib3.0/Crypt/Common/StreamCipher.php',
    'phpseclib3\Crypt\Common\SymmetricKey' => 'admin/external/phpseclib3.0/Crypt/Common/SymmetricKey.php',
    'phpseclib3\Crypt\Common\Formats\Keys\OpenSSH' => 'admin/external/phpseclib3.0/Crypt/Common/Formats/Keys/OpenSSH.php',
    'phpseclib3\Crypt\Common\Formats\Keys\PKCS' => 'admin/external/phpseclib3.0/Crypt/Common/Formats/Keys/PKCS.php',
    'phpseclib3\Crypt\Common\Formats\Keys\PKCS1' => 'admin/external/phpseclib3.0/Crypt/Common/Formats/Keys/PKCS1.php',
    'phpseclib3\Crypt\Common\Formats\Keys\PKCS8' => 'admin/external/phpseclib3.0/Crypt/Common/Formats/Keys/PKCS8.php',
    'phpseclib3\Crypt\Common\Formats\Keys\PuTTY' => 'admin/external/phpseclib3.0/Crypt/Common/Formats/Keys/PuTTY.php',
    'phpseclib3\Crypt\Common\Formats\Signature\Raw' => 'admin/external/phpseclib3.0/Crypt/Common/Formats/Signature/Raw.php',
    'phpseclib3\Crypt\Common\Traits\Fingerprint' => 'admin/external/phpseclib3.0/Crypt/Common/Traits/Fingerprint.php',
    'phpseclib3\Crypt\Common\Traits\PasswordProtected' => 'admin/external/phpseclib3.0/Crypt/Common/Traits/PasswordProtected.php',
    'phpseclib3\Crypt\DH\Parameters' => 'admin/external/phpseclib3.0/Crypt/DH/Parameters.php',
    'phpseclib3\Crypt\DH\PrivateKey' => 'admin/external/phpseclib3.0/Crypt/DH/PrivateKey.php',
    'phpseclib3\Crypt\DH\PublicKey' => 'admin/external/phpseclib3.0/Crypt/DH/PublicKey.php',
    'phpseclib3\Crypt\DH\Formats\Keys\PKCS1' => 'admin/external/phpseclib3.0/Crypt/DH/Formats/Keys/PKCS1.php',
    'phpseclib3\Crypt\DH\Formats\Keys\PKCS8' => 'admin/external/phpseclib3.0/Crypt/DH/Formats/Keys/PKCS8.php',
    'phpseclib3\Crypt\DSA\Parameters' => 'admin/external/phpseclib3.0/Crypt/DSA/Parameters.php',
    'phpseclib3\Crypt\DSA\PrivateKey' => 'admin/external/phpseclib3.0/Crypt/DSA/PrivateKey.php',
    'phpseclib3\Crypt\DSA\PublicKey' => 'admin/external/phpseclib3.0/Crypt/DSA/PublicKey.php',
    'phpseclib3\Crypt\DSA\Formats\Keys\OpenSSH' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Keys/OpenSSH.php',
    'phpseclib3\Crypt\DSA\Formats\Keys\PKCS1' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Keys/PKCS1.php',
    'phpseclib3\Crypt\DSA\Formats\Keys\PKCS8' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Keys/PKCS8.php',
    'phpseclib3\Crypt\DSA\Formats\Keys\PuTTY' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Keys/PuTTY.php',
    'phpseclib3\Crypt\DSA\Formats\Keys\Raw' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Keys/Raw.php',
    'phpseclib3\Crypt\DSA\Formats\Keys\XML' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Keys/XML.php',
    'phpseclib3\Crypt\DSA\Formats\Signatures\ASN1' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Signatures/ASN1.php',
    'phpseclib3\Crypt\DSA\Formats\Signatures\Raw' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Signatures/Raw.php',
    'phpseclib3\Crypt\DSA\Formats\Signatures\SSH2' => 'admin/external/phpseclib3.0/Crypt/DSA/Formats/Signatures/SSH2.php',
    'phpseclib3\Crypt\EC\Parameters' => 'admin/external/phpseclib3.0/Crypt/EC/Parameters.php',
    'phpseclib3\Crypt\EC\PrivateKey' => 'admin/external/phpseclib3.0/Crypt/EC/PrivateKey.php',
    'phpseclib3\Crypt\EC\PublicKey' => 'admin/external/phpseclib3.0/Crypt/EC/PublicKey.php',
    'phpseclib3\Crypt\EC\BaseCurves\Base' => 'admin/external/phpseclib3.0/Crypt/EC/BaseCurves/Base.php',
    'phpseclib3\Crypt\EC\BaseCurves\Binary' => 'admin/external/phpseclib3.0/Crypt/EC/BaseCurves/Binary.php',
    'phpseclib3\Crypt\EC\BaseCurves\KoblitzPrime' => 'admin/external/phpseclib3.0/Crypt/EC/BaseCurves/KoblitzPrime.php',
    'phpseclib3\Crypt\EC\BaseCurves\Montgomery' => 'admin/external/phpseclib3.0/Crypt/EC/BaseCurves/Montgomery.php',
    'phpseclib3\Crypt\EC\BaseCurves\Prime' => 'admin/external/phpseclib3.0/Crypt/EC/BaseCurves/Prime.php',
    'phpseclib3\Crypt\EC\BaseCurves\TwistedEdwards' => 'admin/external/phpseclib3.0/Crypt/EC/BaseCurves/TwistedEdwards.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP160r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP160r1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP160t1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP160t1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP192r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP192r1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP192t1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP192t1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP224r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP224r1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP224t1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP224t1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP256r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP256r1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP256t1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP256t1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP320r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP320r1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP320t1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP320t1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP384r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP384r1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP384t1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP384t1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP512r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP512r1.php',
    'phpseclib3\Crypt\EC\Curves\brainpoolP512t1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/brainpoolP512t1.php',
    'phpseclib3\Crypt\EC\Curves\Curve448' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/Curve448.php',
    'phpseclib3\Crypt\EC\Curves\Curve25519' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/Curve25519.php',
    'phpseclib3\Crypt\EC\Curves\Ed448' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/Ed448.php',
    'phpseclib3\Crypt\EC\Curves\Ed25519' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/Ed25519.php',
    'phpseclib3\Crypt\EC\Curves\nistb233' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistb233.php',
    'phpseclib3\Crypt\EC\Curves\nistb409' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistb409.php',
    'phpseclib3\Crypt\EC\Curves\nistk163' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistk163.php',
    'phpseclib3\Crypt\EC\Curves\nistk233' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistk233.php',
    'phpseclib3\Crypt\EC\Curves\nistk283' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistk283.php',
    'phpseclib3\Crypt\EC\Curves\nistk409' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistk409.php',
    'phpseclib3\Crypt\EC\Curves\nistp192' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistp192.php',
    'phpseclib3\Crypt\EC\Curves\nistp224' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistp224.php',
    'phpseclib3\Crypt\EC\Curves\nistp256' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistp256.php',
    'phpseclib3\Crypt\EC\Curves\nistp384' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistp384.php',
    'phpseclib3\Crypt\EC\Curves\nistp512' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistp512.php',
    'phpseclib3\Crypt\EC\Curves\nistt571' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/nistt571.php',
    'phpseclib3\Crypt\EC\Curves\prime192v1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/prime192v1.php',
    'phpseclib3\Crypt\EC\Curves\prime192v2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/prime192v2.php',
    'phpseclib3\Crypt\EC\Curves\prime192v3' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/prime192v3.php',
    'phpseclib3\Crypt\EC\Curves\prime239v1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/prime239v1.php',
    'phpseclib3\Crypt\EC\Curves\prime239v2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/prime239v2.php',
    'phpseclib3\Crypt\EC\Curves\prime239v3' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/prime239v3.php',
    'phpseclib3\Crypt\EC\Curves\prime256v1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/prime256v1.php',
    'phpseclib3\Crypt\EC\Curves\secp112r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp112r1.php',
    'phpseclib3\Crypt\EC\Curves\secp112r2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp112r2.php',
    'phpseclib3\Crypt\EC\Curves\secp128r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp128r1.php',
    'phpseclib3\Crypt\EC\Curves\secp128r2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp128r2.php',
    'phpseclib3\Crypt\EC\Curves\secp160k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp160k1.php',
    'phpseclib3\Crypt\EC\Curves\secp160r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp160r1.php',
    'phpseclib3\Crypt\EC\Curves\secp160r2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp160r2.php',
    'phpseclib3\Crypt\EC\Curves\secp192k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp192k1.php',
    'phpseclib3\Crypt\EC\Curves\secp192r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp192r1.php',
    'phpseclib3\Crypt\EC\Curves\secp224k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp224k1.php',
    'phpseclib3\Crypt\EC\Curves\secp224r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp224r1.php',
    'phpseclib3\Crypt\EC\Curves\secp256k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp256k1.php',
    'phpseclib3\Crypt\EC\Curves\secp256r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp256r1.php',
    'phpseclib3\Crypt\EC\Curves\secp384r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp384r1.php',
    'phpseclib3\Crypt\EC\Curves\secp521r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/secp521r1.php',
    'phpseclib3\Crypt\EC\Curves\sect113r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect113r1.php',
    'phpseclib3\Crypt\EC\Curves\sect113r2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect113r2.php',
    'phpseclib3\Crypt\EC\Curves\sect131r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect131r1.php',
    'phpseclib3\Crypt\EC\Curves\sect131r2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect131r2.php',
    'phpseclib3\Crypt\EC\Curves\sect163k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect163k1.php',
    'phpseclib3\Crypt\EC\Curves\sect163r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect163r1.php',
    'phpseclib3\Crypt\EC\Curves\sect163r2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect163r2.php',
    'phpseclib3\Crypt\EC\Curves\sect193r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect193r1.php',
    'phpseclib3\Crypt\EC\Curves\sect193r2' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect193r2.php',
    'phpseclib3\Crypt\EC\Curves\sect233k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect233k1.php',
    'phpseclib3\Crypt\EC\Curves\sect233r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect233r1.php',
    'phpseclib3\Crypt\EC\Curves\sect239k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect239k1.php',
    'phpseclib3\Crypt\EC\Curves\sect283k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect283k1.php',
    'phpseclib3\Crypt\EC\Curves\sect283r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect283r1.php',
    'phpseclib3\Crypt\EC\Curves\sect409k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect409k1.php',
    'phpseclib3\Crypt\EC\Curves\sect409r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect409r1.php',
    'phpseclib3\Crypt\EC\Curves\sect571k1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect571k1.php',
    'phpseclib3\Crypt\EC\Curves\sect571r1' => 'admin/external/phpseclib3.0/Crypt/EC/Curves/sect571r1.php',
    'phpseclib3\Crypt\EC\Formats\Keys\Common' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/Common.php',
    'phpseclib3\Crypt\EC\Formats\Keys\libsodium' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/libsodium.php',
    'phpseclib3\Crypt\EC\Formats\Keys\MontgomeryPrivate' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/MontgomeryPrivate.php',
    'phpseclib3\Crypt\EC\Formats\Keys\MontgomeryPublic' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/MontgomeryPublic.php',
    'phpseclib3\Crypt\EC\Formats\Keys\OpenSSH' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/OpenSSH.php',
    'phpseclib3\Crypt\EC\Formats\Keys\PKCS1' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/PKCS1.php',
    'phpseclib3\Crypt\EC\Formats\Keys\PKCS8' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/PKCS8.php',
    'phpseclib3\Crypt\EC\Formats\Keys\PuTTY' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/PuTTY.php',
    'phpseclib3\Crypt\EC\Formats\Keys\XML' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Keys/XML.php',
    'phpseclib3\Crypt\EC\Formats\Signature\ASN1' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Signature/ASN1.php',
    'phpseclib3\Crypt\EC\Formats\Signature\Raw' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Signature/Raw.php',
    'phpseclib3\Crypt\EC\Formats\Signature\SSH2' => 'admin/external/phpseclib3.0/Crypt/EC/Formats/Signature/SSH2.php',
    'phpseclib3\Crypt\RSA\PrivateKey' => 'admin/external/phpseclib3.0/Crypt/RSA/PrivateKey.php',
    'phpseclib3\Crypt\RSA\PublicKey' => 'admin/external/phpseclib3.0/Crypt/RSA/PublicKey.php',
    'phpseclib3\Crypt\RSA\Formats\Keys\MSBLOB' => 'admin/external/phpseclib3.0/Crypt/RSA/Formats/Keys/MSBLOB.php',
    'phpseclib3\Crypt\RSA\Formats\Keys\OpenSSH' => 'admin/external/phpseclib3.0/Crypt/RSA/Formats/Keys/OpenSSH.php',
    'phpseclib3\Crypt\RSA\Formats\Keys\PKCS1' => 'admin/external/phpseclib3.0/Crypt/RSA/Formats/Keys/PKCS1.php',
    'phpseclib3\Crypt\RSA\Formats\Keys\PKCS8' => 'admin/external/phpseclib3.0/Crypt/RSA/Formats/Keys/PKCS8.php',
    'phpseclib3\Crypt\RSA\Formats\Keys\PSS' => 'admin/external/phpseclib3.0/Crypt/RSA/Formats/Keys/PSS.php',
    'phpseclib3\Crypt\RSA\Formats\Keys\PuTTY' => 'admin/external/phpseclib3.0/Crypt/RSA/Formats/Keys/PuTTY.php',
    'phpseclib3\Crypt\RSA\Formats\Keys\Raw' => 'admin/external/phpseclib3.0/Crypt/RSA/Formats/Keys/Raw.php',
    'phpseclib3\Crypt\RSA\Formats\Keys\XML' => 'admin/external/phpseclib3.0/Crypt/RSA/Formats/Keys/XML.php',
    'phpseclib3\Exception\BadConfigurationException' => 'admin/external/phpseclib3.0/Exception/BadConfigurationException.php',
    'phpseclib3\Exception\BadDecryptionException' => 'admin/external/phpseclib3.0/Exception/BadDecryptionException.php',
    'phpseclib3\Exception\BadModeException' => 'admin/external/phpseclib3.0/Exception/BadModeException.php',
    'phpseclib3\Exception\ConnectionClosedException' => 'admin/external/phpseclib3.0/Exception/ConnectionClosedException.php',
    'phpseclib3\Exception\FileNotFoundException' => 'admin/external/phpseclib3.0/Exception/FileNotFoundException.php',
    'phpseclib3\Exception\InconsistentSetupException' => 'admin/external/phpseclib3.0/Exception/InconsistentSetupException.php',
    'phpseclib3\Exception\InsufficientSetupException' => 'admin/external/phpseclib3.0/Exception/InsufficientSetupException.php',
    'phpseclib3\Exception\NoKeyLoadedException' => 'admin/external/phpseclib3.0/Exception/NoKeyLoadedException.php',
    'phpseclib3\Exception\NoSupportedAlgorithmsException' => 'admin/external/phpseclib3.0/Exception/NoSupportedAlgorithmsException.php',
    'phpseclib3\Exception\UnableToConnectException' => 'admin/external/phpseclib3.0/Exception/UnableToConnectException.php',
    'phpseclib3\Exception\UnsupportedAlgorithmException' => 'admin/external/phpseclib3.0/Exception/UnsupportedAlgorithmException.php',
    'phpseclib3\Exception\UnsupportedCurveException' => 'admin/external/phpseclib3.0/Exception/UnsupportedCurveException.php',
    'phpseclib3\Exception\UnsupportedFormatException' => 'admin/external/phpseclib3.0/Exception/UnsupportedFormatException.php',
    'phpseclib3\Exception\UnsupportedOperationException' => 'admin/external/phpseclib3.0/Exception/UnsupportedOperationException.php',
    'phpseclib3\File\ANSI' => 'admin/external/phpseclib3.0/File/ANSI.php',
    'phpseclib3\File\ASN1' => 'admin/external/phpseclib3.0/File/ASN1.php',
    'phpseclib3\File\X509' => 'admin/external/phpseclib3.0/File/X509.php',
    'phpseclib3\File\ASN1\Element' => 'admin/external/phpseclib3.0/File/ASN1/Element.php',
    'phpseclib3\File\ASN1\Maps\AccessDescription' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AccessDescription.php',
    'phpseclib3\File\ASN1\Maps\AdministrationDomainName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AdministrationDomainName.php',
    'phpseclib3\File\ASN1\Maps\AlgorithmIdentifier' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AlgorithmIdentifier.php',
    'phpseclib3\File\ASN1\Maps\AnotherName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AnotherName.php',
    'phpseclib3\File\ASN1\Maps\Attribute' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Attribute.php',
    'phpseclib3\File\ASN1\Maps\Attributes' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Attributes.php',
    'phpseclib3\File\ASN1\Maps\AttributeType' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AttributeType.php',
    'phpseclib3\File\ASN1\Maps\AttributeTypeAndValue' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AttributeTypeAndValue.php',
    'phpseclib3\File\ASN1\Maps\AttributeValue' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AttributeValue.php',
    'phpseclib3\File\ASN1\Maps\AuthorityInfoAccessSyntax' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AuthorityInfoAccessSyntax.php',
    'phpseclib3\File\ASN1\Maps\AuthorityKeyIdentifier' => 'admin/external/phpseclib3.0/File/ASN1/Maps/AuthorityKeyIdentifier.php',
    'phpseclib3\File\ASN1\Maps\BaseDistance' => 'admin/external/phpseclib3.0/File/ASN1/Maps/BaseDistance.php',
    'phpseclib3\File\ASN1\Maps\BasicConstraints' => 'admin/external/phpseclib3.0/File/ASN1/Maps/BasicConstraints.php',
    'phpseclib3\File\ASN1\Maps\BuiltInDomainDefinedAttribute' => 'admin/external/phpseclib3.0/File/ASN1/Maps/BuiltInDomainDefinedAttribute.php',
    'phpseclib3\File\ASN1\Maps\BuiltInDomainDefinedAttributes' => 'admin/external/phpseclib3.0/File/ASN1/Maps/BuiltInDomainDefinedAttributes.php',
    'phpseclib3\File\ASN1\Maps\BuiltInStandardAttributes' => 'admin/external/phpseclib3.0/File/ASN1/Maps/BuiltInStandardAttributes.php',
    'phpseclib3\File\ASN1\Maps\Certificate' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Certificate.php',
    'phpseclib3\File\ASN1\Maps\CertificateIssuer' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CertificateIssuer.php',
    'phpseclib3\File\ASN1\Maps\CertificateList' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CertificateList.php',
    'phpseclib3\File\ASN1\Maps\CertificatePolicies' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CertificatePolicies.php',
    'phpseclib3\File\ASN1\Maps\CertificateSerialNumber' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CertificateSerialNumber.php',
    'phpseclib3\File\ASN1\Maps\CertificationRequest' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CertificationRequest.php',
    'phpseclib3\File\ASN1\Maps\CertificationRequestInfo' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CertificationRequestInfo.php',
    'phpseclib3\File\ASN1\Maps\CertPolicyId' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CertPolicyId.php',
    'phpseclib3\File\ASN1\Maps\Characteristic_two' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Characteristic_two.php',
    'phpseclib3\File\ASN1\Maps\CountryName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CountryName.php',
    'phpseclib3\File\ASN1\Maps\CPSuri' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CPSuri.php',
    'phpseclib3\File\ASN1\Maps\CRLDistributionPoints' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CRLDistributionPoints.php',
    'phpseclib3\File\ASN1\Maps\CRLNumber' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CRLNumber.php',
    'phpseclib3\File\ASN1\Maps\CRLReason' => 'admin/external/phpseclib3.0/File/ASN1/Maps/CRLReason.php',
    'phpseclib3\File\ASN1\Maps\Curve' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Curve.php',
    'phpseclib3\File\ASN1\Maps\DHParameter' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DHParameter.php',
    'phpseclib3\File\ASN1\Maps\DigestInfo' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DigestInfo.php',
    'phpseclib3\File\ASN1\Maps\DirectoryString' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DirectoryString.php',
    'phpseclib3\File\ASN1\Maps\DisplayText' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DisplayText.php',
    'phpseclib3\File\ASN1\Maps\DistributionPoint' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DistributionPoint.php',
    'phpseclib3\File\ASN1\Maps\DistributionPointName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DistributionPointName.php',
    'phpseclib3\File\ASN1\Maps\DSAParams' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DSAParams.php',
    'phpseclib3\File\ASN1\Maps\DSAPrivateKey' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DSAPrivateKey.php',
    'phpseclib3\File\ASN1\Maps\DSAPublicKey' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DSAPublicKey.php',
    'phpseclib3\File\ASN1\Maps\DssSigValue' => 'admin/external/phpseclib3.0/File/ASN1/Maps/DssSigValue.php',
    'phpseclib3\File\ASN1\Maps\EcdsaSigValue' => 'admin/external/phpseclib3.0/File/ASN1/Maps/EcdsaSigValue.php',
    'phpseclib3\File\ASN1\Maps\ECParameters' => 'admin/external/phpseclib3.0/File/ASN1/Maps/ECParameters.php',
    'phpseclib3\File\ASN1\Maps\ECPoint' => 'admin/external/phpseclib3.0/File/ASN1/Maps/ECPoint.php',
    'phpseclib3\File\ASN1\Maps\ECPrivateKey' => 'admin/external/phpseclib3.0/File/ASN1/Maps/ECPrivateKey.php',
    'phpseclib3\File\ASN1\Maps\EDIPartyName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/EDIPartyName.php',
    'phpseclib3\File\ASN1\Maps\EncryptedData' => 'admin/external/phpseclib3.0/File/ASN1/Maps/EncryptedData.php',
    'phpseclib3\File\ASN1\Maps\EncryptedPrivateKeyInfo' => 'admin/external/phpseclib3.0/File/ASN1/Maps/EncryptedPrivateKeyInfo.php',
    'phpseclib3\File\ASN1\Maps\Extension' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Extension.php',
    'phpseclib3\File\ASN1\Maps\ExtensionAttribute' => 'admin/external/phpseclib3.0/File/ASN1/Maps/ExtensionAttribute.php',
    'phpseclib3\File\ASN1\Maps\ExtensionAttributes' => 'admin/external/phpseclib3.0/File/ASN1/Maps/ExtensionAttributes.php',
    'phpseclib3\File\ASN1\Maps\Extensions' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Extensions.php',
    'phpseclib3\File\ASN1\Maps\ExtKeyUsageSyntax' => 'admin/external/phpseclib3.0/File/ASN1/Maps/ExtKeyUsageSyntax.php',
    'phpseclib3\File\ASN1\Maps\FieldElement' => 'admin/external/phpseclib3.0/File/ASN1/Maps/FieldElement.php',
    'phpseclib3\File\ASN1\Maps\FieldID' => 'admin/external/phpseclib3.0/File/ASN1/Maps/FieldID.php',
    'phpseclib3\File\ASN1\Maps\GeneralName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/GeneralName.php',
    'phpseclib3\File\ASN1\Maps\GeneralNames' => 'admin/external/phpseclib3.0/File/ASN1/Maps/GeneralNames.php',
    'phpseclib3\File\ASN1\Maps\GeneralSubtree' => 'admin/external/phpseclib3.0/File/ASN1/Maps/GeneralSubtree.php',
    'phpseclib3\File\ASN1\Maps\GeneralSubtrees' => 'admin/external/phpseclib3.0/File/ASN1/Maps/GeneralSubtrees.php',
    'phpseclib3\File\ASN1\Maps\HashAlgorithm' => 'admin/external/phpseclib3.0/File/ASN1/Maps/HashAlgorithm.php',
    'phpseclib3\File\ASN1\Maps\HoldInstructionCode' => 'admin/external/phpseclib3.0/File/ASN1/Maps/HoldInstructionCode.php',
    'phpseclib3\File\ASN1\Maps\InvalidityDate' => 'admin/external/phpseclib3.0/File/ASN1/Maps/InvalidityDate.php',
    'phpseclib3\File\ASN1\Maps\IssuerAltName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/IssuerAltName.php',
    'phpseclib3\File\ASN1\Maps\IssuingDistributionPoint' => 'admin/external/phpseclib3.0/File/ASN1/Maps/IssuingDistributionPoint.php',
    'phpseclib3\File\ASN1\Maps\KeyIdentifier' => 'admin/external/phpseclib3.0/File/ASN1/Maps/KeyIdentifier.php',
    'phpseclib3\File\ASN1\Maps\KeyPurposeId' => 'admin/external/phpseclib3.0/File/ASN1/Maps/KeyPurposeId.php',
    'phpseclib3\File\ASN1\Maps\KeyUsage' => 'admin/external/phpseclib3.0/File/ASN1/Maps/KeyUsage.php',
    'phpseclib3\File\ASN1\Maps\MaskGenAlgorithm' => 'admin/external/phpseclib3.0/File/ASN1/Maps/MaskGenAlgorithm.php',
    'phpseclib3\File\ASN1\Maps\Name' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Name.php',
    'phpseclib3\File\ASN1\Maps\NameConstraints' => 'admin/external/phpseclib3.0/File/ASN1/Maps/NameConstraints.php',
    'phpseclib3\File\ASN1\Maps\netscape_ca_policy_url' => 'admin/external/phpseclib3.0/File/ASN1/Maps/netscape_ca_policy_url.php',
    'phpseclib3\File\ASN1\Maps\netscape_cert_type' => 'admin/external/phpseclib3.0/File/ASN1/Maps/netscape_cert_type.php',
    'phpseclib3\File\ASN1\Maps\NetworkAddress' => 'admin/external/phpseclib3.0/File/ASN1/Maps/NetworkAddress.php',
    'phpseclib3\File\ASN1\Maps\NoticeReference' => 'admin/external/phpseclib3.0/File/ASN1/Maps/NoticeReference.php',
    'phpseclib3\File\ASN1\Maps\NumericUserIdentifier' => 'admin/external/phpseclib3.0/File/ASN1/Maps/NumericUserIdentifier.php',
    'phpseclib3\File\ASN1\Maps\OneAsymmetricKey' => 'admin/external/phpseclib3.0/File/ASN1/Maps/OneAsymmetricKey.php',
    'phpseclib3\File\ASN1\Maps\ORAddress' => 'admin/external/phpseclib3.0/File/ASN1/Maps/ORAddress.php',
    'phpseclib3\File\ASN1\Maps\OrganizationalUnitNames' => 'admin/external/phpseclib3.0/File/ASN1/Maps/OrganizationalUnitNames.php',
    'phpseclib3\File\ASN1\Maps\OrganizationName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/OrganizationName.php',
    'phpseclib3\File\ASN1\Maps\OtherPrimeInfo' => 'admin/external/phpseclib3.0/File/ASN1/Maps/OtherPrimeInfo.php',
    'phpseclib3\File\ASN1\Maps\OtherPrimeInfos' => 'admin/external/phpseclib3.0/File/ASN1/Maps/OtherPrimeInfos.php',
    'phpseclib3\File\ASN1\Maps\PBEParameter' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PBEParameter.php',
    'phpseclib3\File\ASN1\Maps\PBES2params' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PBES2params.php',
    'phpseclib3\File\ASN1\Maps\PBKDF2params' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PBKDF2params.php',
    'phpseclib3\File\ASN1\Maps\PBMAC1params' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PBMAC1params.php',
    'phpseclib3\File\ASN1\Maps\Pentanomial' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Pentanomial.php',
    'phpseclib3\File\ASN1\Maps\PersonalName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PersonalName.php',
    'phpseclib3\File\ASN1\Maps\PKCS9String' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PKCS9String.php',
    'phpseclib3\File\ASN1\Maps\PolicyInformation' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PolicyInformation.php',
    'phpseclib3\File\ASN1\Maps\PolicyMappings' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PolicyMappings.php',
    'phpseclib3\File\ASN1\Maps\PolicyQualifierId' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PolicyQualifierId.php',
    'phpseclib3\File\ASN1\Maps\PolicyQualifierInfo' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PolicyQualifierInfo.php',
    'phpseclib3\File\ASN1\Maps\PostalAddress' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PostalAddress.php',
    'phpseclib3\File\ASN1\Maps\Prime_p' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Prime_p.php',
    'phpseclib3\File\ASN1\Maps\PrivateDomainName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PrivateDomainName.php',
    'phpseclib3\File\ASN1\Maps\PrivateKey' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PrivateKey.php',
    'phpseclib3\File\ASN1\Maps\PrivateKeyInfo' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PrivateKeyInfo.php',
    'phpseclib3\File\ASN1\Maps\PrivateKeyUsagePeriod' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PrivateKeyUsagePeriod.php',
    'phpseclib3\File\ASN1\Maps\PublicKey' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PublicKey.php',
    'phpseclib3\File\ASN1\Maps\PublicKeyAndChallenge' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PublicKeyAndChallenge.php',
    'phpseclib3\File\ASN1\Maps\PublicKeyinfo' => 'admin/external/phpseclib3.0/File/ASN1/Maps/PublicKeyinfo.php',
    'phpseclib3\File\ASN1\Maps\RC2CBCParameter' => 'admin/external/phpseclib3.0/File/ASN1/Maps/RC2CBCParameter.php',
    'phpseclib3\File\ASN1\Maps\RDNSequence' => 'admin/external/phpseclib3.0/File/ASN1/Maps/RDNSequence.php',
    'phpseclib3\File\ASN1\Maps\ReasonFlags' => 'admin/external/phpseclib3.0/File/ASN1/Maps/ReasonFlags.php',
    'phpseclib3\File\ASN1\Maps\RelativeDistinguishedName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/RelativeDistinguishedName.php',
    'phpseclib3\File\ASN1\Maps\RevokedCertificate' => 'admin/external/phpseclib3.0/File/ASN1/Maps/RevokedCertificate.php',
    'phpseclib3\File\ASN1\Maps\RSAPrivateKey' => 'admin/external/phpseclib3.0/File/ASN1/Maps/RSAPrivateKey.php',
    'phpseclib3\File\ASN1\Maps\RSAPublicKey' => 'admin/external/phpseclib3.0/File/ASN1/Maps/RSAPublicKey.php',
    'phpseclib3\File\ASN1\Maps\RSASSA_PSS_params' => 'admin/external/phpseclib3.0/File/ASN1/Maps/RSASSA_PSS_params.php',
    'phpseclib3\File\ASN1\Maps\SignedPublicKeyAndChallenge' => 'admin/external/phpseclib3.0/File/ASN1/Maps/SignedPublicKeyAndChallenge.php',
    'phpseclib3\File\ASN1\Maps\SpecifiedECDomain' => 'admin/external/phpseclib3.0/File/ASN1/Maps/SpecifiedECDomain.php',
    'phpseclib3\File\ASN1\Maps\SubjectAltName' => 'admin/external/phpseclib3.0/File/ASN1/Maps/SubjectAltName.php',
    'phpseclib3\File\ASN1\Maps\SubjectDirectoryAttibutes' => 'admin/external/phpseclib3.0/File/ASN1/Maps/SubjectDirectoryAttibutes.php',
    'phpseclib3\File\ASN1\Maps\SubjectInfoAccessSyntax' => 'admin/external/phpseclib3.0/File/ASN1/Maps/SubjectInfoAccessSyntax.php',
    'phpseclib3\File\ASN1\Maps\SubjectPublicKeyInfo' => 'admin/external/phpseclib3.0/File/ASN1/Maps/SubjectPublicKeyInfo.php',
    'phpseclib3\File\ASN1\Maps\TBSCertificate' => 'admin/external/phpseclib3.0/File/ASN1/Maps/TBSCertificate.php',
    'phpseclib3\File\ASN1\Maps\TBSCertList' => 'admin/external/phpseclib3.0/File/ASN1/Maps/TBSCertList.php',
    'phpseclib3\File\ASN1\Maps\TerminalIdentifier' => 'admin/external/phpseclib3.0/File/ASN1/Maps/TerminalIdentifier.php',
    'phpseclib3\File\ASN1\Maps\Time' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Time.php',
    'phpseclib3\File\ASN1\Maps\Trinomial' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Trinomial.php',
    'phpseclib3\File\ASN1\Maps\UniqueIdentifier' => 'admin/external/phpseclib3.0/File/ASN1/Maps/UniqueIdentifier.php',
    'phpseclib3\File\ASN1\Maps\UserNotice' => 'admin/external/phpseclib3.0/File/ASN1/Maps/UserNotice.php',
    'phpseclib3\File\ASN1\Maps\Validity' => 'admin/external/phpseclib3.0/File/ASN1/Maps/Validity.php',
    'phpseclib3\Math\BigInteger' => 'admin/external/phpseclib3.0/Math/BigInteger.php',
    'phpseclib3\Math\BinaryField' => 'admin/external/phpseclib3.0/Math/BinaryField.php',
    'phpseclib3\Math\PrimeField' => 'admin/external/phpseclib3.0/Math/PrimeField.php',
    'phpseclib3\Math\BigInteger\Engines\BCMath' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/BCMath.php',
    'phpseclib3\Math\BigInteger\Engines\Engine' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/Engine.php',
    'phpseclib3\Math\BigInteger\Engines\GMP' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/GMP.php',
    'phpseclib3\Math\BigInteger\Engines\OpenSSL' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/OpenSSL.php',
    'phpseclib3\Math\BigInteger\Engines\PHP' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP.php',
    'phpseclib3\Math\BigInteger\Engines\PHP32' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP32.php',
    'phpseclib3\Math\BigInteger\Engines\PHP64' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP64.php',
    'phpseclib3\Math\BigInteger\Engines\BCMath\Base' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/BCMath/Base.php',
    'phpseclib3\Math\BigInteger\Engines\BCMath\BuiltIn' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/BCMath/BuiltIn.php',
    'phpseclib3\Math\BigInteger\Engines\BCMath\DefaultEngine' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/BCMath/DefaultEngine.php',
    'phpseclib3\Math\BigInteger\Engines\BCMath\OpenSSL' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/BCMath/OpenSSL.php',
    'phpseclib3\Math\BigInteger\Engines\BCMath\Reductions\Barret' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/BCMath/Reductions/Barret.php',
    'phpseclib3\Math\BigInteger\Engines\BCMath\Reductions\EvalBarret' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/BCMath/Reductions/EvalBarret.php',
    'phpseclib3\Math\BigInteger\Engines\GMP\DefaultEngine' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/GMP/DefaultEngine.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\Base' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/Base.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\DefaultEngine' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/DefaultEngine.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\Montgomery' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/Montgomery.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\OpenSSL' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/OpenSSL.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\Reductions\Barrett' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/Reductions/Barrett.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\Reductions\Classic' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/Reductions/Classic.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\Reductions\EvalBarrett' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/Reductions/EvalBarrett.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\Reductions\Montgomery' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/Reductions/Montgomery.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\Reductions\MontgomeryMult' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/Reductions/MontgomeryMult.php',
    'phpseclib3\Math\BigInteger\Engines\PHP\Reductions\PowerOfTwo' => 'admin/external/phpseclib3.0/Math/BigInteger/Engines/PHP/Reductions/PowerOfTwo.php',
    'phpseclib3\Math\BinaryField\Integer' => 'admin/external/phpseclib3.0/Math/BinaryField/Integer.php',
    'phpseclib3\Math\Common\FiniteField' => 'admin/external/phpseclib3.0/Math/Common/FiniteField.php',
    'phpseclib3\Math\Common\FiniteField\Integer' => 'admin/external/phpseclib3.0/Math/Common/FiniteField/Integer.php',
    'phpseclib3\Math\PrimeField\Integer' => 'admin/external/phpseclib3.0/Math/PrimeField/Integer.php',
    'phpseclib3\Net\SFTP' => 'admin/external/phpseclib3.0/Net/SFTP.php',
    'phpseclib3\Net\SSH2' => 'admin/external/phpseclib3.0/Net/SSH2.php',
    'phpseclib3\Net\SFTP\Stream' => 'admin/external/phpseclib3.0/Net/SFTP/Stream.php',
    'phpseclib3\System\SSH\Agent' => 'admin/external/phpseclib3.0/System/SSH/Agent.php',
    'phpseclib3\System\SSH\Agent\Identity' => 'admin/external/phpseclib3.0/System/SSH/Agent/Identity.php',
    'phpseclib3\System\SSH\Common\Traits\ReadBytes' => 'admin/external/phpseclib3.0/System/SSH/Common/Traits/ReadBytes.php',
    # DB
    'DB' => 'admin/classes/Database/DB.php',
    # less
    'Less_Cache' => 'admin/external/Less/Cache.php',
    'Less_Colors' => 'admin/external/Less/Colors.php',
    'Less_Configurable' => 'admin/external/Less/Configurable.php',
    'Less_Environment' => 'admin/external/Less/Environment.php',
    'Less_Functions' => 'admin/external/Less/Functions.php',
    'Less_Mime' => 'admin/external/Less/Mime.php',
    'Less_Output' => 'admin/external/Less/Output.php',
    'Less_Parser' => 'admin/external/Less/Parser.php',
    'Less_Tree' => 'admin/external/Less/Tree.php',
    'Less_Version' => 'admin/external/Less/Version.php',
    'Less_Visitor' => 'admin/external/Less/Visitor.php',
    'Less_VisitorReplacing' => 'admin/external/Less/VisitorReplacing.php',
    'Less_Exception_Chunk' => 'admin/external/Less/Exception/Chunk.php',
    'Less_Exception_Compiler' => 'admin/external/Less/Exception/Compiler.php',
    'Less_Exception_Parser' => 'admin/external/Less/Exception/Parser.php',
    'Less_Output_Mapped' => 'admin/external/Less/Output/Mapped.php',
    'Less_SourceMap_Base64VLQ' => 'admin/external/Less/SourceMap/Base64VLQ.php',
    'Less_SourceMap_Generator' => 'admin/external/Less/SourceMap/Generator.php',
    'Less_Tree_Alpha' => 'admin/external/Less/Tree/Alpha.php',
    'Less_Tree_Anonymous' => 'admin/external/Less/Tree/Anonymous.php',
    'Less_Tree_Assignment' => 'admin/external/Less/Tree/Assignment.php',
    'Less_Tree_Attribute' => 'admin/external/Less/Tree/Attribute.php',
    'Less_Tree_Call' => 'admin/external/Less/Tree/Call.php',
    'Less_Tree_Color' => 'admin/external/Less/Tree/Color.php',
    'Less_Tree_Comment' => 'admin/external/Less/Tree/Comment.php',
    'Less_Tree_Condition' => 'admin/external/Less/Tree/Condition.php',
    'Less_Tree_DefaultFunc' => 'admin/external/Less/Tree/DefaultFunc.php',
    'Less_Tree_DetachedRuleset' => 'admin/external/Less/Tree/DetachedRuleset.php',
    'Less_Tree_Dimension' => 'admin/external/Less/Tree/Dimension.php',
    'Less_Tree_Directive' => 'admin/external/Less/Tree/Directive.php',
    'Less_Tree_Element' => 'admin/external/Less/Tree/Element.php',
    'Less_Tree_Expression' => 'admin/external/Less/Tree/Expression.php',
    'Less_Tree_Extend' => 'admin/external/Less/Tree/Extend.php',
    'Less_Tree_Import' => 'admin/external/Less/Tree/Import.php',
    'Less_Tree_Javascript' => 'admin/external/Less/Tree/Javascript.php',
    'Less_Tree_Keyword' => 'admin/external/Less/Tree/Keyword.php',
    'Less_Tree_Media' => 'admin/external/Less/Tree/Media.php',
    'Less_Tree_NameValue' => 'admin/external/Less/Tree/NameValue.php',
    'Less_Tree_Negative' => 'admin/external/Less/Tree/Negative.php',
    'Less_Tree_Operation' => 'admin/external/Less/Tree/Operation.php',
    'Less_Tree_Paren' => 'admin/external/Less/Tree/Paren.php',
    'Less_Tree_Quoted' => 'admin/external/Less/Tree/Quoted.php',
    'Less_Tree_Rule' => 'admin/external/Less/Tree/Rule.php',
    'Less_Tree_Ruleset' => 'admin/external/Less/Tree/Ruleset.php',
    'Less_Tree_RulesetCall' => 'admin/external/Less/Tree/RulesetCall.php',
    'Less_Tree_Selector' => 'admin/external/Less/Tree/Selector.php',
    'Less_Tree_UnicodeDescriptor' => 'admin/external/Less/Tree/UnicodeDescriptor.php',
    'Less_Tree_Unit' => 'admin/external/Less/Tree/Unit.php',
    'Less_Tree_UnitConversion' => 'admin/external/Less/Tree/UnitConversion.php',
    'Less_Tree_Url' => 'admin/external/Less/Tree/Url.php',
    'Less_Tree_Value' => 'admin/external/Less/Tree/Value.php',
    'Less_Tree_Variable' => 'admin/external/Less/Tree/Variable.php',
    'Less_Tree_Mixin_Call' => 'admin/external/Less/Tree/Mixin/Call.php',
    'Less_Tree_Mixin_Definition' => 'admin/external/Less/Tree/Mixin/Definition.php',
    'Less_Visitor_extendFinder' => 'admin/external/Less/Visitor/extendFinder.php',
    'Less_Visitor_import' => 'admin/external/Less/Visitor/import.php',
    'Less_Visitor_joinSelector' => 'admin/external/Less/Visitor/joinSelector.php',
    'Less_Visitor_processExtends' => 'admin/external/Less/Visitor/processExtends.php',
    'Less_Visitor_toCSS' => 'admin/external/Less/Visitor/toCSS.php',
    # Scss
    'ScssPhp\ScssPhp\Block' => 'admin/external/Scss/Block.php',
    'ScssPhp\ScssPhp\Cache' => 'admin/external/Scss/Cache.php',
    'ScssPhp\ScssPhp\Colors' => 'admin/external/Scss/Colors.php',
    'ScssPhp\ScssPhp\CompilationResult' => 'admin/external/Scss/CompilationResult.php',
    'ScssPhp\ScssPhp\Compiler' => 'admin/external/Scss/Compiler.php',
    'ScssPhp\ScssPhp\Formatter' => 'admin/external/Scss/Formatter.php',
    'ScssPhp\ScssPhp\Node' => 'admin/external/Scss/Node.php',
    'ScssPhp\ScssPhp\OutputStyle' => 'admin/external/Scss/OutputStyle.php',
    'ScssPhp\ScssPhp\Parser' => 'admin/external/Scss/Parser.php',
    'ScssPhp\ScssPhp\Syntax' => 'admin/external/Scss/Syntax.php',
    'ScssPhp\ScssPhp\Type' => 'admin/external/Scss/Type.php',
    'ScssPhp\ScssPhp\Util' => 'admin/external/Scss/Util.php',
    'ScssPhp\ScssPhp\ValueConverter' => 'admin/external/Scss/ValueConverter.php',
    'ScssPhp\ScssPhp\Version' => 'admin/external/Scss/Version.php',
    'ScssPhp\ScssPhp\Warn' => 'admin/external/Scss/Warn.php',
    'ScssPhp\ScssPhp\Ast\AstNode' => 'admin/external/Scss/Ast/AstNode.php',
    'ScssPhp\ScssPhp\Ast\Css\CssAtRule' => 'admin/external/Scss/Ast/Css/CssAtRule.php',
    'ScssPhp\ScssPhp\Ast\Css\CssComment' => 'admin/external/Scss/Ast/Css/CssComment.php',
    'ScssPhp\ScssPhp\Ast\Css\CssDeclaration' => 'admin/external/Scss/Ast/Css/CssDeclaration.php',
    'ScssPhp\ScssPhp\Ast\Css\CssImport' => 'admin/external/Scss/Ast/Css/CssImport.php',
    'ScssPhp\ScssPhp\Ast\Css\CssKeyframeBlock' => 'admin/external/Scss/Ast/Css/CssKeyframeBlock.php',
    'ScssPhp\ScssPhp\Ast\Css\CssMediaQuery' => 'admin/external/Scss/Ast/Css/CssMediaQuery.php',
    'ScssPhp\ScssPhp\Ast\Css\CssMediaRule' => 'admin/external/Scss/Ast/Css/CssMediaRule.php',
    'ScssPhp\ScssPhp\Ast\Css\CssNode' => 'admin/external/Scss/Ast/Css/CssNode.php',
    'ScssPhp\ScssPhp\Ast\Css\CssParentNode' => 'admin/external/Scss/Ast/Css/CssParentNode.php',
    'ScssPhp\ScssPhp\Ast\Css\CssStyleRule' => 'admin/external/Scss/Ast/Css/CssStyleRule.php',
    'ScssPhp\ScssPhp\Ast\Css\CssStylesheet' => 'admin/external/Scss/Ast/Css/CssStylesheet.php',
    'ScssPhp\ScssPhp\Ast\Css\CssSupportsRule' => 'admin/external/Scss/Ast/Css/CssSupportsRule.php',
    'ScssPhp\ScssPhp\Ast\Css\CssValue' => 'admin/external/Scss/Ast/Css/CssValue.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssAtRule' => 'admin/external/Scss/Ast/Css/ModifiableCssAtRule.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssComment' => 'admin/external/Scss/Ast/Css/ModifiableCssComment.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssDeclaration' => 'admin/external/Scss/Ast/Css/ModifiableCssDeclaration.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssImport' => 'admin/external/Scss/Ast/Css/ModifiableCssImport.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssKeyframeBlock' => 'admin/external/Scss/Ast/Css/ModifiableCssKeyframeBlock.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssMediaRule' => 'admin/external/Scss/Ast/Css/ModifiableCssMediaRule.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssNode' => 'admin/external/Scss/Ast/Css/ModifiableCssNode.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssParentNode' => 'admin/external/Scss/Ast/Css/ModifiableCssParentNode.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssStyleRule' => 'admin/external/Scss/Ast/Css/ModifiableCssStyleRule.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssStylesheet' => 'admin/external/Scss/Ast/Css/ModifiableCssStylesheet.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssSupportsRule' => 'admin/external/Scss/Ast/Css/ModifiableCssSupportsRule.php',
    'ScssPhp\ScssPhp\Ast\Css\ModifiableCssValue' => 'admin/external/Scss/Ast/Css/ModifiableCssValue.php',
    'ScssPhp\ScssPhp\Ast\Sass\Argument' => 'admin/external/Scss/Ast/Sass/Argument.php',
    'ScssPhp\ScssPhp\Ast\Sass\ArgumentDeclaration' => 'admin/external/Scss/Ast/Sass/ArgumentDeclaration.php',
    'ScssPhp\ScssPhp\Ast\Sass\ArgumentInvocation' => 'admin/external/Scss/Ast/Sass/ArgumentInvocation.php',
    'ScssPhp\ScssPhp\Ast\Sass\AtRootQuery' => 'admin/external/Scss/Ast/Sass/AtRootQuery.php',
    'ScssPhp\ScssPhp\Ast\Sass\CallableInvocation' => 'admin/external/Scss/Ast/Sass/CallableInvocation.php',
    'ScssPhp\ScssPhp\Ast\Sass\ConfiguredVariable' => 'admin/external/Scss/Ast/Sass/ConfiguredVariable.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression' => 'admin/external/Scss/Ast/Sass/Expression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Import' => 'admin/external/Scss/Ast/Sass/Import.php',
    'ScssPhp\ScssPhp\Ast\Sass\Interpolation' => 'admin/external/Scss/Ast/Sass/Interpolation.php',
    'ScssPhp\ScssPhp\Ast\Sass\SassDeclaration' => 'admin/external/Scss/Ast/Sass/SassDeclaration.php',
    'ScssPhp\ScssPhp\Ast\Sass\SassNode' => 'admin/external/Scss/Ast/Sass/SassNode.php',
    'ScssPhp\ScssPhp\Ast\Sass\SassReference' => 'admin/external/Scss/Ast/Sass/SassReference.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement' => 'admin/external/Scss/Ast/Sass/Statement.php',
    'ScssPhp\ScssPhp\Ast\Sass\SupportsCondition' => 'admin/external/Scss/Ast/Sass/SupportsCondition.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\BinaryOperationExpression' => 'admin/external/Scss/Ast/Sass/Expression/BinaryOperationExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\BinaryOperator' => 'admin/external/Scss/Ast/Sass/Expression/BinaryOperator.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\BooleanExpression' => 'admin/external/Scss/Ast/Sass/Expression/BooleanExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\CalculationExpression' => 'admin/external/Scss/Ast/Sass/Expression/CalculationExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\ColorExpression' => 'admin/external/Scss/Ast/Sass/Expression/ColorExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\FunctionExpression' => 'admin/external/Scss/Ast/Sass/Expression/FunctionExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\IfExpression' => 'admin/external/Scss/Ast/Sass/Expression/IfExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\InterpolatedFunctionExpression' => 'admin/external/Scss/Ast/Sass/Expression/InterpolatedFunctionExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\ListExpression' => 'admin/external/Scss/Ast/Sass/Expression/ListExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\MapExpression' => 'admin/external/Scss/Ast/Sass/Expression/MapExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\NullExpression' => 'admin/external/Scss/Ast/Sass/Expression/NullExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\NumberExpression' => 'admin/external/Scss/Ast/Sass/Expression/NumberExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\ParenthesizedExpression' => 'admin/external/Scss/Ast/Sass/Expression/ParenthesizedExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\SelectorExpression' => 'admin/external/Scss/Ast/Sass/Expression/SelectorExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\StringExpression' => 'admin/external/Scss/Ast/Sass/Expression/StringExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\SupportsExpression' => 'admin/external/Scss/Ast/Sass/Expression/SupportsExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\UnaryOperationExpression' => 'admin/external/Scss/Ast/Sass/Expression/UnaryOperationExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\UnaryOperator' => 'admin/external/Scss/Ast/Sass/Expression/UnaryOperator.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\ValueExpression' => 'admin/external/Scss/Ast/Sass/Expression/ValueExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Expression\VariableExpression' => 'admin/external/Scss/Ast/Sass/Expression/VariableExpression.php',
    'ScssPhp\ScssPhp\Ast\Sass\Import\DynamicImport' => 'admin/external/Scss/Ast/Sass/Import/DynamicImport.php',
    'ScssPhp\ScssPhp\Ast\Sass\Import\StaticImport' => 'admin/external/Scss/Ast/Sass/Import/StaticImport.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\AtRootRule' => 'admin/external/Scss/Ast/Sass/Statement/AtRootRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\AtRule' => 'admin/external/Scss/Ast/Sass/Statement/AtRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\CallableDeclaration' => 'admin/external/Scss/Ast/Sass/Statement/CallableDeclaration.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ContentBlock' => 'admin/external/Scss/Ast/Sass/Statement/ContentBlock.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ContentRule' => 'admin/external/Scss/Ast/Sass/Statement/ContentRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\DebugRule' => 'admin/external/Scss/Ast/Sass/Statement/DebugRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\Declaration' => 'admin/external/Scss/Ast/Sass/Statement/Declaration.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\EachRule' => 'admin/external/Scss/Ast/Sass/Statement/EachRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ElseClause' => 'admin/external/Scss/Ast/Sass/Statement/ElseClause.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ErrorRule' => 'admin/external/Scss/Ast/Sass/Statement/ErrorRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ExtendRule' => 'admin/external/Scss/Ast/Sass/Statement/ExtendRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ForRule' => 'admin/external/Scss/Ast/Sass/Statement/ForRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\FunctionRule' => 'admin/external/Scss/Ast/Sass/Statement/FunctionRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\HasContentVisitor' => 'admin/external/Scss/Ast/Sass/Statement/HasContentVisitor.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\IfClause' => 'admin/external/Scss/Ast/Sass/Statement/IfClause.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\IfRule' => 'admin/external/Scss/Ast/Sass/Statement/IfRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\IfRuleClause' => 'admin/external/Scss/Ast/Sass/Statement/IfRuleClause.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ImportRule' => 'admin/external/Scss/Ast/Sass/Statement/ImportRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\IncludeRule' => 'admin/external/Scss/Ast/Sass/Statement/IncludeRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\LoudComment' => 'admin/external/Scss/Ast/Sass/Statement/LoudComment.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\MediaRule' => 'admin/external/Scss/Ast/Sass/Statement/MediaRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\MixinRule' => 'admin/external/Scss/Ast/Sass/Statement/MixinRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ParentStatement' => 'admin/external/Scss/Ast/Sass/Statement/ParentStatement.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\ReturnRule' => 'admin/external/Scss/Ast/Sass/Statement/ReturnRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\SilentComment' => 'admin/external/Scss/Ast/Sass/Statement/SilentComment.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\StyleRule' => 'admin/external/Scss/Ast/Sass/Statement/StyleRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\Stylesheet' => 'admin/external/Scss/Ast/Sass/Statement/Stylesheet.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\SupportsRule' => 'admin/external/Scss/Ast/Sass/Statement/SupportsRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\VariableDeclaration' => 'admin/external/Scss/Ast/Sass/Statement/VariableDeclaration.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\WarnRule' => 'admin/external/Scss/Ast/Sass/Statement/WarnRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\Statement\WhileRule' => 'admin/external/Scss/Ast/Sass/Statement/WhileRule.php',
    'ScssPhp\ScssPhp\Ast\Sass\SupportsCondition\SupportsAnything' => 'admin/external/Scss/Ast/Sass/SupportsCondition/SupportsAnything.php',
    'ScssPhp\ScssPhp\Ast\Sass\SupportsCondition\SupportsDeclaration' => 'admin/external/Scss/Ast/Sass/SupportsCondition/SupportsDeclaration.php',
    'ScssPhp\ScssPhp\Ast\Sass\SupportsCondition\SupportsFunction' => 'admin/external/Scss/Ast/Sass/SupportsCondition/SupportsFunction.php',
    'ScssPhp\ScssPhp\Ast\Sass\SupportsCondition\SupportsInterpolation' => 'admin/external/Scss/Ast/Sass/SupportsCondition/SupportsInterpolation.php',
    'ScssPhp\ScssPhp\Ast\Sass\SupportsCondition\SupportsNegation' => 'admin/external/Scss/Ast/Sass/SupportsCondition/SupportsNegation.php',
    'ScssPhp\ScssPhp\Ast\Sass\SupportsCondition\SupportsOperation' => 'admin/external/Scss/Ast/Sass/SupportsCondition/SupportsOperation.php',
    'ScssPhp\ScssPhp\Ast\Selector\AttributeOperator' => 'admin/external/Scss/Ast/Selector/AttributeOperator.php',
    'ScssPhp\ScssPhp\Ast\Selector\AttributeSelector' => 'admin/external/Scss/Ast/Selector/AttributeSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\ClassSelector' => 'admin/external/Scss/Ast/Selector/ClassSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\Combinator' => 'admin/external/Scss/Ast/Selector/Combinator.php',
    'ScssPhp\ScssPhp\Ast\Selector\ComplexSelector' => 'admin/external/Scss/Ast/Selector/ComplexSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\CompoundSelector' => 'admin/external/Scss/Ast/Selector/CompoundSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\IDSelector' => 'admin/external/Scss/Ast/Selector/IDSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\ParentSelector' => 'admin/external/Scss/Ast/Selector/ParentSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\PlaceholderSelector' => 'admin/external/Scss/Ast/Selector/PlaceholderSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\PseudoSelector' => 'admin/external/Scss/Ast/Selector/PseudoSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\QualifiedName' => 'admin/external/Scss/Ast/Selector/QualifiedName.php',
    'ScssPhp\ScssPhp\Ast\Selector\Selector' => 'admin/external/Scss/Ast/Selector/Selector.php',
    'ScssPhp\ScssPhp\Ast\Selector\SelectorList' => 'admin/external/Scss/Ast/Selector/SelectorList.php',
    'ScssPhp\ScssPhp\Ast\Selector\SimpleSelector' => 'admin/external/Scss/Ast/Selector/SimpleSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\TypeSelector' => 'admin/external/Scss/Ast/Selector/TypeSelector.php',
    'ScssPhp\ScssPhp\Ast\Selector\UniversalSelector' => 'admin/external/Scss/Ast/Selector/UniversalSelector.php',
    'ScssPhp\ScssPhp\Base\Range' => 'admin/external/Scss/Base/Range.php',
    'ScssPhp\ScssPhp\Block\AtRootBlock' => 'admin/external/Scss/Block/AtRootBlock.php',
    'ScssPhp\ScssPhp\Block\CallableBlock' => 'admin/external/Scss/Block/CallableBlock.php',
    'ScssPhp\ScssPhp\Block\ContentBlock' => 'admin/external/Scss/Block/ContentBlock.php',
    'ScssPhp\ScssPhp\Block\DirectiveBlock' => 'admin/external/Scss/Block/DirectiveBlock.php',
    'ScssPhp\ScssPhp\Block\EachBlock' => 'admin/external/Scss/Block/EachBlock.php',
    'ScssPhp\ScssPhp\Block\ElseBlock' => 'admin/external/Scss/Block/ElseBlock.php',
    'ScssPhp\ScssPhp\Block\ElseifBlock' => 'admin/external/Scss/Block/ElseifBlock.php',
    'ScssPhp\ScssPhp\Block\ForBlock' => 'admin/external/Scss/Block/ForBlock.php',
    'ScssPhp\ScssPhp\Block\IfBlock' => 'admin/external/Scss/Block/IfBlock.php',
    'ScssPhp\ScssPhp\Block\MediaBlock' => 'admin/external/Scss/Block/MediaBlock.php',
    'ScssPhp\ScssPhp\Block\NestedPropertyBlock' => 'admin/external/Scss/Block/NestedPropertyBlock.php',
    'ScssPhp\ScssPhp\Block\WhileBlock' => 'admin/external/Scss/Block/WhileBlock.php',
    'ScssPhp\ScssPhp\Collection\Map' => 'admin/external/Scss/Collection/Map.php',
    'ScssPhp\ScssPhp\Compiler\CachedResult' => 'admin/external/Scss/Compiler/CachedResult.php',
    'ScssPhp\ScssPhp\Compiler\Environment' => 'admin/external/Scss/Compiler/Environment.php',
    'ScssPhp\ScssPhp\Exception\CompilerException' => 'admin/external/Scss/Exception/CompilerException.php',
    'ScssPhp\ScssPhp\Exception\ParserException' => 'admin/external/Scss/Exception/ParserException.php',
    'ScssPhp\ScssPhp\Exception\RangeException' => 'admin/external/Scss/Exception/RangeException.php',
    'ScssPhp\ScssPhp\Exception\SassException' => 'admin/external/Scss/Exception/SassException.php',
    'ScssPhp\ScssPhp\Exception\SassFormatException' => 'admin/external/Scss/Exception/SassFormatException.php',
    'ScssPhp\ScssPhp\Exception\SassRuntimeException' => 'admin/external/Scss/Exception/SassRuntimeException.php',
    'ScssPhp\ScssPhp\Exception\SassScriptException' => 'admin/external/Scss/Exception/SassScriptException.php',
    'ScssPhp\ScssPhp\Extend\ExtendUtil' => 'admin/external/Scss/Extend/ExtendUtil.php',
    'ScssPhp\ScssPhp\Formatter\Compressed' => 'admin/external/Scss/Formatter/Compressed.php',
    'ScssPhp\ScssPhp\Formatter\Expanded' => 'admin/external/Scss/Formatter/Expanded.php',
    'ScssPhp\ScssPhp\Formatter\OutputBlock' => 'admin/external/Scss/Formatter/OutputBlock.php',
    'ScssPhp\ScssPhp\Logger\LoggerInterface' => 'admin/external/Scss/Logger/LoggerInterface.php',
    'ScssPhp\ScssPhp\Logger\QuietLogger' => 'admin/external/Scss/Logger/QuietLogger.php',
    'ScssPhp\ScssPhp\Logger\StreamLogger' => 'admin/external/Scss/Logger/StreamLogger.php',
    'ScssPhp\ScssPhp\Node\Number' => 'admin/external/Scss/Node/Number.php',
    'ScssPhp\ScssPhp\Parser\AtRootQueryParser' => 'admin/external/Scss/Parser/AtRootQueryParser.php',
    'ScssPhp\ScssPhp\Parser\CssParser' => 'admin/external/Scss/Parser/CssParser.php',
    'ScssPhp\ScssPhp\Parser\FormatException' => 'admin/external/Scss/Parser/FormatException.php',
    'ScssPhp\ScssPhp\Parser\InterpolationBuffer' => 'admin/external/Scss/Parser/InterpolationBuffer.php',
    'ScssPhp\ScssPhp\Parser\KeyframeSelectorParser' => 'admin/external/Scss/Parser/KeyframeSelectorParser.php',
    'ScssPhp\ScssPhp\Parser\LineScanner' => 'admin/external/Scss/Parser/LineScanner.php',
    'ScssPhp\ScssPhp\Parser\MediaQueryParser' => 'admin/external/Scss/Parser/MediaQueryParser.php',
    'ScssPhp\ScssPhp\Parser\Parser' => 'admin/external/Scss/Parser/Parser.php',
    'ScssPhp\ScssPhp\Parser\ScssParser' => 'admin/external/Scss/Parser/ScssParser.php',
    'ScssPhp\ScssPhp\Parser\SelectorParser' => 'admin/external/Scss/Parser/SelectorParser.php',
    'ScssPhp\ScssPhp\Parser\StringScanner' => 'admin/external/Scss/Parser/StringScanner.php',
    'ScssPhp\ScssPhp\Parser\StylesheetParser' => 'admin/external/Scss/Parser/StylesheetParser.php',
    'ScssPhp\ScssPhp\Serializer\Serializer' => 'admin/external/Scss/Serializer/Serializer.php',
    'ScssPhp\ScssPhp\Serializer\SerializeResult' => 'admin/external/Scss/Serializer/SerializeResult.php',
    'ScssPhp\ScssPhp\Serializer\SerializeVisitor' => 'admin/external/Scss/Serializer/SerializeVisitor.php',
    'ScssPhp\ScssPhp\Serializer\SimpleStringBuffer' => 'admin/external/Scss/Serializer/SimpleStringBuffer.php',
    'ScssPhp\ScssPhp\Serializer\StringBuffer' => 'admin/external/Scss/Serializer/StringBuffer.php',
    'ScssPhp\ScssPhp\SourceMap\Base64' => 'admin/external/Scss/SourceMap/Base64.php',
    'ScssPhp\ScssPhp\SourceMap\Base64VLQ' => 'admin/external/Scss/SourceMap/Base64VLQ.php',
    'ScssPhp\ScssPhp\SourceMap\SourceMapGenerator' => 'admin/external/Scss/SourceMap/SourceMapGenerator.php',
    'ScssPhp\ScssPhp\SourceSpan\FileSpan' => 'admin/external/Scss/SourceSpan/FileSpan.php',
    'ScssPhp\ScssPhp\SourceSpan\SourceFile' => 'admin/external/Scss/SourceSpan/SourceFile.php',
    'ScssPhp\ScssPhp\SourceSpan\SourceLocation' => 'admin/external/Scss/SourceSpan/SourceLocation.php',
    'ScssPhp\ScssPhp\Util\Character' => 'admin/external/Scss/Util/Character.php',
    'ScssPhp\ScssPhp\Util\Equatable' => 'admin/external/Scss/Util/Equatable.php',
    'ScssPhp\ScssPhp\Util\EquatableUtil' => 'admin/external/Scss/Util/EquatableUtil.php',
    'ScssPhp\ScssPhp\Util\ErrorUtil' => 'admin/external/Scss/Util/ErrorUtil.php',
    'ScssPhp\ScssPhp\Util\ListUtil' => 'admin/external/Scss/Util/ListUtil.php',
    'ScssPhp\ScssPhp\Util\NumberUtil' => 'admin/external/Scss/Util/NumberUtil.php',
    'ScssPhp\ScssPhp\Util\ParserUtil' => 'admin/external/Scss/Util/ParserUtil.php',
    'ScssPhp\ScssPhp\Util\Path' => 'admin/external/Scss/Util/Path.php',
    'ScssPhp\ScssPhp\Util\SpanUtil' => 'admin/external/Scss/Util/SpanUtil.php',
    'ScssPhp\ScssPhp\Util\StringUtil' => 'admin/external/Scss/Util/StringUtil.php',
    'ScssPhp\ScssPhp\Value\CalculationInterpolation' => 'admin/external/Scss/Value/CalculationInterpolation.php',
    'ScssPhp\ScssPhp\Value\CalculationOperation' => 'admin/external/Scss/Value/CalculationOperation.php',
    'ScssPhp\ScssPhp\Value\CalculationOperator' => 'admin/external/Scss/Value/CalculationOperator.php',
    'ScssPhp\ScssPhp\Value\ColorFormat' => 'admin/external/Scss/Value/ColorFormat.php',
    'ScssPhp\ScssPhp\Value\ComplexSassNumber' => 'admin/external/Scss/Value/ComplexSassNumber.php',
    'ScssPhp\ScssPhp\Value\ListSeparator' => 'admin/external/Scss/Value/ListSeparator.php',
    'ScssPhp\ScssPhp\Value\SassArgumentList' => 'admin/external/Scss/Value/SassArgumentList.php',
    'ScssPhp\ScssPhp\Value\SassBoolean' => 'admin/external/Scss/Value/SassBoolean.php',
    'ScssPhp\ScssPhp\Value\SassCalculation' => 'admin/external/Scss/Value/SassCalculation.php',
    'ScssPhp\ScssPhp\Value\SassColor' => 'admin/external/Scss/Value/SassColor.php',
    'ScssPhp\ScssPhp\Value\SassFunction' => 'admin/external/Scss/Value/SassFunction.php',
    'ScssPhp\ScssPhp\Value\SassList' => 'admin/external/Scss/Value/SassList.php',
    'ScssPhp\ScssPhp\Value\SassMap' => 'admin/external/Scss/Value/SassMap.php',
    'ScssPhp\ScssPhp\Value\SassNull' => 'admin/external/Scss/Value/SassNull.php',
    'ScssPhp\ScssPhp\Value\SassNumber' => 'admin/external/Scss/Value/SassNumber.php',
    'ScssPhp\ScssPhp\Value\SassString' => 'admin/external/Scss/Value/SassString.php',
    'ScssPhp\ScssPhp\Value\SingleUnitSassNumber' => 'admin/external/Scss/Value/SingleUnitSassNumber.php',
    'ScssPhp\ScssPhp\Value\SpanColorFormat' => 'admin/external/Scss/Value/SpanColorFormat.php',
    'ScssPhp\ScssPhp\Value\UnitlessSassNumber' => 'admin/external/Scss/Value/UnitlessSassNumber.php',
    'ScssPhp\ScssPhp\Value\Value' => 'admin/external/Scss/Value/Value.php',
    'ScssPhp\ScssPhp\Visitor\CssVisitor' => 'admin/external/Scss/Visitor/CssVisitor.php',
    'ScssPhp\ScssPhp\Visitor\ExpressionVisitor' => 'admin/external/Scss/Visitor/ExpressionVisitor.php',
    'ScssPhp\ScssPhp\Visitor\ModifiableCssVisitor' => 'admin/external/Scss/Visitor/ModifiableCssVisitor.php',
    'ScssPhp\ScssPhp\Visitor\SelectorVisitor' => 'admin/external/Scss/Visitor/SelectorVisitor.php',
    'ScssPhp\ScssPhp\Visitor\StatementSearchVisitor' => 'admin/external/Scss/Visitor/StatementSearchVisitor.php',
    'ScssPhp\ScssPhp\Visitor\StatementVisitor' => 'admin/external/Scss/Visitor/StatementVisitor.php',
    'ScssPhp\ScssPhp\Visitor\ValueVisitor' => 'admin/external/Scss/Visitor/ValueVisitor.php',
    # GIFEndec
    'GIFEndec\Color' => 'admin/external/GIFEndec/Color.php',
    'GIFEndec\Decoder' => 'admin/external/GIFEndec/Decoder.php',
    'GIFEndec\Encoder' => 'admin/external/GIFEndec/Encoder.php',
    'GIFEndec\Frame' => 'admin/external/GIFEndec/Frame.php',
    'GIFEndec\Renderer' => 'admin/external/GIFEndec/Renderer.php',
    'GIFEndec\Events\FrameDecodedEvent' => 'admin/external/GIFEndec/Events/FrameDecodedEvent.php',
    'GIFEndec\Events\FrameRenderedEvent' => 'admin/external/GIFEndec/Events/FrameRenderedEvent.php',
    'GIFEndec\Geometry\Point' => 'admin/external/GIFEndec/Geometry/Point.php',
    'GIFEndec\Geometry\Rectangle' => 'admin/external/GIFEndec/Geometry/Rectangle.php',
    'GIFEndec\IO\FileStream' => 'admin/external/GIFEndec/IO/FileStream.php',
    'GIFEndec\IO\MemoryStream' => 'admin/external/GIFEndec/IO/MemoryStream.php',
    'GIFEndec\IO\PhpStream' => 'admin/external/GIFEndec/IO/PhpStream.php',
    # Smarty
    'Smarty' => 'admin/classes/class.smarty.php',
);

# Try to include a config.autoloader.individual.php
$sFile = dirname(__FILE__) . '/config.autoloader.individual.php';
if (file_exists($sFile)) {
    if ($aindividual = include_once($sFile)) {
        $aAutoload = array_merge($aAutoload, $aindividual);
    }
}

return $aAutoload;