<?php
/**
 * Project: 
 * Contenido Content Management System
 * 
 * Description: 
 * Displays languages
 * 
 * Requirements: 
 * @con_php_req 5.0
 * 
 *
 * @package    Contenido Backend includes
 * @version    1.0.0
 * @author     Timo A. Hummel
 * @copyright  four for business AG <www.4fb.de>
 * @license    http://www.contenido.org/license/LIZENZ.txt
 * @link       http://www.4fb.de
 * @link       http://www.contenido.org
 * @since      file available since contenido release <= 4.6
 * 
 * {@internal 
 *   created 2003-05-08
 *   modified 2008-06-26, Dominik Ziegler, add security fix
 *
 *   $Id$:
 * }}
 * 
 */

if(!defined('CON_FRAMEWORK')) {
	die('Illegal call');
}

$tpl->set('s', 'SID', $sess->id);

if (!isset($action)) $action = "";

function deleteTableData($db, $table, $aFilter = array()) {
    
    # Transform the filter array to a query string
    $sFilter = '';
    if (count($aFilter)) {
        $sFilter = ' WHERE (';
        foreach ($aFilter as $key => $value) {
            if (is_array($value)) {
                $sFilter .= '(`' . $key . '` IN ("' . implode('","', $value) . '")) AND ';
            }
            elseif (strtoupper(substr($value, 0, 6)) == 'SELECT') {
                $sFilter .= '(`' . $key . '` IN (' . $value . ')) AND ';
            }
            else {
                $sFilter .= '(`' . $key . '`="' . $value . '") AND ';
            }
        }
        $sFilter = substr($sFilter, 0, -5) . ')';
    }
    
    # Delete the data from this table
    $db->query('DELETE FROM ' . $table . $sFilter);
}

if ($action == "client_delete") {
    if ($perm->have_perm_area_action("client", "client_delete")) {
        $iClient = (int) $_GET['idclient'];
        
        # Delete the client data from the database
        $ret = deleteTableData(
            $db,
            $cfg['tab']['lang'],
            array(
                'idlang' => 'SELECT `idlang` FROM `' . $cfg['tab']['clients_lang'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['clients_lang'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['cat_art'],
            array(
                'idcat' => 'SELECT `idcat` FROM `' . $cfg['tab']['cat'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['cat_lang'],
            array(
                'idcat' => 'SELECT `idcat` FROM `' . $cfg['tab']['cat'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['cat_tree'],
            array(
                'idcat' => 'SELECT `idcat` FROM `' . $cfg['tab']['cat'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['cat'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['content'],
            array(
                'idartlang' => 'SELECT al.`idartlang` FROM `' . $cfg['tab']['art_lang'] . '` al INNER JOIN `' . $cfg['tab']['art'] . '` a ON al.`idart` = a.`idart` WHERE (a.`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['meta_tag'],
            array(
                'idartlang' => 'SELECT al.`idartlang` FROM `' . $cfg['tab']['art_lang'] . '` al INNER JOIN `' . $cfg['tab']['art'] . '` a ON al.`idart` = a.`idart` WHERE (a.`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['art_lang'],
            array(
                'idart' => 'SELECT `idart` FROM `' . $cfg['tab']['art'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['art'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['art_spec'],
            array(
                'client' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['lay'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['mod_translations'],
            array(
                'idmod' => 'SELECT `idmod` FROM `' . $cfg['tab']['mod'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['mod'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['container_conf'],
            array(
                'idtplcfg' => 'SELECT `tc`.`idtplcfg` FROM `' . $cfg['tab']['tpl_conf'] . '` tc INNER JOIN `' . $cfg['tab']['tpl'] . '` t ON tc.`idtpl` = t.`idtpl` WHERE (`t`.`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['container'],
            array(
                'idtpl' => 'SELECT `idtpl` FROM `' . $cfg['tab']['tpl'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['tpl_conf'],
            array(
                'idtpl' => 'SELECT `idtpl` FROM `' . $cfg['tab']['tpl'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['tpl'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['properties'],
            array(
                'idclient' => $iClient,
                'itemtype' => array('clientsetting', 'idclient', 'idlang', 'idlay')
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['upl_meta'],
            array(
                'idupl' => 'SELECT `idupl` FROM `' . $cfg['tab']['upl'] . '` WHERE (`idclient`=' . $iClient . ')'
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['upl'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['dbfs'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['file_information'],
            array(
                'idclient' => $iClient
            )
        );
        $ret = deleteTableData(
            $db,
            $cfg['tab']['clients'],
            array(
                'idclient' => $iClient
            )
        );
        
        # Delete folders and files for the client
        removeDir($cfgClient[$iClient]['path']['frontend']);
        
        # Do the cleanup
        $oPurge = new Purge($db, $cfg, $cfgClient);
        $oPurge->resetClientConCode($iClient);
        $oPurge->clearClientCache($iClient);
        $oPurge->clearClientHistory($iClient, false, 0);
        $oPurge->clearClientLog($iClient);
        cInclude('includes', 'functions.database.php');
        $oPurge->updateConSequence();
        unset($oPurge);
        
        rereadClients();
        
        if ($client == $iClient) {
            $client = $lang = '';
            $sql = 'SELECT idclient
                    FROM ' . $cfg['tab']['clients'] . '
                    ORDER BY idclient ASC
                    LIMIT 0, 1';
            $db->query($sql);
            if ($db->next_record()) {
                $client = $db->f('idclient');
                
                $sql = 'SELECT l.idlang
                        FROM ' . $cfg['tab']['lang'] . ' l INNER JOIN ' . $cfg['tab']['clients_lang'] . ' cl ON l.idlang = cl.idlang
                        WHERE (idclient=' . intval($client) . ')
                        ORDER BY l.idlang ASC';
                $db->query($sql);
                $db->next_record();
                $lang = $db->f('idlang');
                
                if (!$perm->have_perm_client_lang($client, $lang)) {
                    $lang = '';
                    
                    while ($db->next_record() && ($lang == '')) {
                        if ($perm->have_perm_client_lang($client, $db->f('idlang'))) {
                            $lang = $db->f('idlang');
                        }
                    }
                }
            }
            echo '
            <script>
                function hasClass(el, className) {
                    if (el.classList) {
                        return el.classList.contains(className);
                    }
                    return !!el.className.match(new RegExp("(\\s|^)" + className + "(\\s|$)"));
                }
                function addClass(el, className) {
                    if (el.classList) {
                        el.classList.add(className);
                    } else if (!hasClass(el, className)) {
                        el.className += " " + className;
                    }
                }
                function removeClass(el, className) {
                    if (el.classList) {
                        el.classList.remove(className);
                    } else if (hasClass(el, className)) {
                        var reg = new RegExp("(\\s|^)" + className + "(\\s|$)");
                        el.className = el.className.replace(reg, " ");
                    }
                }
                var tmr;
                tmr = setInterval(function() {
                    checkLoadInit();
                }, 1);
                function checkLoadInit() {
                    var nav = top.header.document.getElementById("main_5");
                    if (nav == null) {
                        clearInterval(tmr);
                        tmr = setInterval(function() {
                            checkLoadReady();
                        }, 10);
                    }
                }
                function checkLoadReady() {
                    var nav = top.header.document.getElementById("main_5");
                    if (nav != null) {
                        clearInterval(tmr);
                        removeClass(top.header.document.getElementById("sub_client"), "sub");
                        addClass(top.header.document.getElementById("sub_client"), "activemenu");
                        top.header.window.show("sub_5", "main_5");
                        setTimeout(function() {
                            var menu = top.header.window.ContenidoRegistry.get("headerMenu");
                            menu.setActiveSubMenu("sub_5");
                            menu.setActiveMenu("main_5");
                        }, 10);
                    }
                }
                top.header.document.location.href = top.header.document.location.href;
            </script>';
        }
    } 
}

$sql = 'SELECT *
        FROM ' . $cfg["tab"]["clients"];
$db->query($sql);

while ($db->next_record()) {
	$idclient = $db->f("idclient");
	if ((strpos($auth->auth["perm"],"admin[$idclient]") !== false) ||
		(strpos($auth->auth["perm"],"sysadmin") !== false))
	{
    	$dark = !$dark;
    	if ($dark) {
	        $bgColor = $cfg["color"]["table_dark"];
	    } else {
        	$bgColor = $cfg["color"]["table_light"];
    	}

        $tmp_mstr = '<a href="javascript:conMultiLink(\'%s\', \'%s\', \'%s\', \'%s\')">%s</a>';
		$idclient = $db->f("idclient");
        $mstr = sprintf($tmp_mstr, 'right_top',
                                       $sess->url("main.php?area=$area&frame=3&idclient=$idclient"),
                                       'right_bottom',
                                       $sess->url("main.php?area=client_edit&frame=4&idclient=$idclient"),
                                       $db->f("name") );
        
        if ($perm->have_perm_area_action('client',"client_delete")) {
            $delTitle = i18n("Delete client");
            $delDescr = sprintf(i18n("Do you really want to delete the following client:<br><br>%s<br>"),htmlspecialchars($db->f("name")));
            if ($classclient->hasLanguageAssigned($idclient)) {
                $delDescr .= '<br><br>' . i18n("Caution! This client has data!");
            }
            $tpl->set('d', 'DELETE', '<a title="'.$delTitle.'" href="javascript://" onclick="box.confirm(\''.$delTitle.'\', \''.$delDescr.'\', \'deleteClient(\\\''.$idclient.'\\\')\')"><img src="'.$cfg['path']['images'].'delete.gif" border="0" title="'.$delTitle.'" alt="'.$delTitle.'"></a>');
        }
        else {
            $tpl->set('d', 'DELETE', '');
        }
    	$tpl->set('d', 'ICON', '<img src="images/spacer.gif" width="12">');
        $tpl->set('d', 'BGCOLOR', $bgColor);
        $tpl->set('d', 'TEXT', $mstr);
        
        if ($_GET['idclient'] == $idclient) {
            $tpl->set('d', 'ID', 'id="marked"');
        } else {
            $tpl->set('d', 'ID', '');
        }
        
        $tpl->next();
	}
}    
# Generate template
$tpl->generate($cfg['path']['templates'] . $cfg['templates']['client_menu']);
?>
