<?php
/**
 * Project: 
 * Contenido Content Management System
 * 
 * Description: 
 * Module list
 * 
 * Requirements: 
 * @con_php_req 5.0
 * 
 *
 * @package    Contenido Backend includes
 * @version    1.3.2
 * @author     unknown
 * @copyright  four for business AG <www.4fb.de>
 * @license    http://www.contenido.org/license/LIZENZ.txt
 * @link       http://www.4fb.de
 * @link       http://www.contenido.org
 * @since      file available since contenido release <= 4.6
 * 
 * {@internal 
 *   created 2003-03-21
 *   modified 2008-06-27, Frederic Schneider, add security fix
 *   modified 2010-08-18, Munkh-Ulzii Balidar, add a functionality to show the used info
 *
 *   $Id$:
 * }}
 * 
 */

if(!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}

if (!(int) $client > 0) {
    #if there is no client selected, display empty page
    $oPage = new cPage;
    $oPage->render();
    return;
}

############################
# Now build bottom with list
############################
$oApiModuleCollection = new cApiModuleCollection;
$classmodule = new cApiModule;
$oPage = new cPage;

// no value found in request for items per page -> get form db or set default
$oUser = new cApiUser($auth->auth["uid"]);
if (!isset($_REQUEST["elemperpage"]) || !is_numeric($_REQUEST['elemperpage']) || $_REQUEST['elemperpage'] < 0) {
    $_REQUEST["elemperpage"] = $oUser->getProperty("itemsperpage", $area);
}
if (!is_numeric($_REQUEST["elemperpage"])) {
    $_REQUEST["elemperpage"] = 0;
}
if ($_REQUEST["elemperpage"] > 0) {
    // -- All -- will not be stored, as it may be impossible to change this back to something more useful
    $oUser->setProperty("itemsperpage", $area, $_REQUEST["elemperpage"]);
}
unset ($oUser);

if ((!isset($_REQUEST["page"])) || (!is_numeric($_REQUEST['page'])) || ($_REQUEST['page'] <= 0) || ($_REQUEST["elemperpage"] == 0)) {
    $_REQUEST["page"] = 1;
}

// Sort by requested
if ((isset($_REQUEST["sortby"])) && (strlen($_REQUEST["sortby"]))) {
    $oApiModuleCollection->setOrder($_REQUEST["sortby"]." ".$_REQUEST["sortorder"]);
} 
else {
    $oApiModuleCollection->setOrder("name asc");
}


// Search filter requested
if (isset ($_REQUEST["filter"]) && $_REQUEST["filter"] != ""  && $_REQUEST["searchin"] == '') {
    $oApiModuleCollection->setWhereGroup("default", "name", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setWhereGroup("default", "description", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setWhereGroup("default", "type", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setWhereGroup("default", "input", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setWhereGroup("default", "output", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setInnerGroupCondition("default", "OR");
} else if (isset ($_REQUEST["filter"]) && $_REQUEST["filter"] != ""  && $_REQUEST["searchin"] == 'name') {
    $oApiModuleCollection->setWhereGroup("default", "name", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setInnerGroupCondition("default", "OR");
} else if (isset ($_REQUEST["filter"]) && $_REQUEST["filter"] != ""  && $_REQUEST["searchin"] == 'description') {
    $oApiModuleCollection->setWhereGroup("default", "description", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setInnerGroupCondition("default", "OR");
} else if (isset ($_REQUEST["filter"]) && $_REQUEST["filter"] != ""  && $_REQUEST["searchin"] == 'type') {
    $oApiModuleCollection->setWhereGroup("default", "type", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setInnerGroupCondition("default", "OR");
} else if (isset ($_REQUEST["filter"]) && $_REQUEST["filter"] != ""  && $_REQUEST["searchin"] == 'input') {
    $oApiModuleCollection->setWhereGroup("default", "input", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setInnerGroupCondition("default", "OR");
} else if (isset ($_REQUEST["filter"]) && $_REQUEST["filter"] != ""  && $_REQUEST["searchin"] == 'output') {
    $oApiModuleCollection->setWhereGroup("default", "output", "%".$_REQUEST["filter"]."%", "LIKE");
    $oApiModuleCollection->setInnerGroupCondition("default", "OR");
}

// Type filter requested
if (isset($_REQUEST["filtertype"])) {
    switch ($_REQUEST["filtertype"])     {
        case "--all--":
            break;
        case "--wotype--":
            $oApiModuleCollection->setWhere("type", "");
            break;
        default:
            $oApiModuleCollection->setWhere("type", $_REQUEST["filtertype"]);
            break;    
    }
}

// Items per page requested
$oApiModuleCollection->setWhere("idclient", $client);


if ($_REQUEST["elemperpage"] > 0) {
    $oApiModuleCollection->query();
    $iItemCount = $oApiModuleCollection->count();

    if ($iItemCount < (($_REQUEST["page"] - 1) * $_REQUEST["elemperpage"])) {
        $_REQUEST["page"] = 1;
    }
    
    if ($_REQUEST["elemperpage"]*($_REQUEST["page"]) >= $iItemCount+$_REQUEST["elemperpage"] && $_REQUEST["page"]  != 1) {
        $_REQUEST["page"]--;
    }

    $oApiModuleCollection->setLimit(($_REQUEST["elemperpage"] * ($_REQUEST["page"] -1)), $_REQUEST["elemperpage"]);
} 
else {
    $iItemCount = 0;
}


// Build list for left_bottom considering filter values
$mlist = new UI_Menu;
$sOptionModuleCheck = getSystemProperty("system", "modulecheck", "false");
$sOptionForceCheck = getEffectiveSetting("modules", "force-menu-check", "false");
$iMenu = 0;

# Include the client's config.php in order to know the $force state
include_once($cfgClient[$client]['path']['frontend'] . 'config.php');

$oApiModuleCollection->query();
while ($oApiModule = $oApiModuleCollection->next()) {
    $idmod = $oApiModule->get("idmod");
    if ($perm->have_perm_item($area, $idmod) || $perm->have_perm_area_action("mod_translate", "mod_translation_save") || $perm->have_perm_area_action_item("mod_translate", "mod_translation_save", $idmod)) {
        
        $link = new cHTMLLink;
        $link->setMultiLink("mod", "", "mod_edit", "");
        $link->setCustom("idmod", $idmod);
        $link->updateAttributes(array("alt" => $oApiModule->get("description")));
        $link->updateAttributes(array("title" => $oApiModule->get("description")));

        $sName = $oApiModule->get("name");
        if ((($sOptionModuleCheck !== "false") && ($sOptionForceCheck !== "false")) || ($force) || ($iCheckMod)) {
            // Check module and force check, or client's $force has been enabled - check module (surprisingly...)
            $bInputOK = modTestModule($oApiModule->get("input"), $idmod."i", false);
            $bOutputOK = modTestModule($oApiModule->get("output"), $idmod."o", true);
            if (($bInputOK) && ($bOutputOK)) {
                $oApiModule->set('error', 'none');
                $colName = $sName;              // The set default color: none :)
            }
            elseif ($bOutputOK) {
                $oApiModule->set('error', 'input');
                $colName = '<font color="#B1AC58">'.$sName.'</font>';
            }
            elseif ($bInputOK) {
                $oApiModule->set('error', 'output');
                $colName = '<font color="#B1AC58">'.$sName.'</font>';
            }
            else {
                $oApiModule->set('error', 'both');
                $colName = '<font color="red">'.$sName.'</font>';
            }
            $oApiModule->setAsModified('input', false);
            $oApiModule->setAsModified('output', false);
            $oApiModule->store();
            $oApiModule->loadByPrimaryKey($idmod);
        }
        else {
            // Do not check modules (or don't force it) - so, let's take a look into the database 
            $sModuleError = $oApiModule->get("error");
            
            if ($sModuleError == "none") {
                $colName = $sName;
            } 
            else if ($sModuleError == "input" || $sModuleError == "output") {
                $colName = '<font color="#B1AC58">'.$sName.'</font>';
            } 
            else {
                $colName = '<font color="red">'.$sName.'</font>';
            }
        }

        $iMenu ++;

        $mlist->setTitle($iMenu, $colName);
        if ($perm->have_perm_area_action_item("mod_edit", "mod_edit", $idmod) || $perm->have_perm_area_action_item("mod_translate", "mod_translation_save", $idmod)) {
            $mlist->setLink($iMenu, $link);
        }
        
        $todo = new TODOLink("idmod", $idmod, "Module: $sName", "");

        $inUse = $classmodule->moduleInUse($idmod);
        $deletebutton = "";
        if ($inUse) {
            $inUseString = i18n("Click for more information about usage");
            $deletebutton = '<a href="javascript:;" rel="' . $idmod . '" class="in_used_mod"><img src="'.$cfg['path']['images'].'exclamation.gif" border="0" title="'.$inUseString.'" alt="'.$inUseString.'" style="padding-left: 2px;"></a>';
        } else {
            if ($perm->have_perm_area_action_item("mod", "mod_delete", $idmod)) {
                $delTitle = i18n("Delete module");
                $delDescr = sprintf(i18n("Do you really want to delete the following module:<br><br>%s<br>"), $sName);
                $deletebutton = '<a title="'.$delTitle.'" href="javascript://" onclick="box.confirm(\''.$delTitle.'\', \''.$delDescr.'\', \'deleteModule('.$idmod.')\')"><img src="'.$cfg['path']['images'].'delete.gif" border="0" title="'.$delTitle.'" alt="'.$delTitle.'" style="padding-left: 2px;"></a>';                
            } else {
                $delDescription = i18n("No permission");    
            }
        }

        if (($oApiModule->get('output-orig') != $oApiModule->get('output')) || ($oApiModule->get('input-orig') != $oApiModule->get('input'))) {
            $syncbutton = '<a href="javascript:conMultiLink(\'right_top\',\'main.php?area=mod&frame=3&action=&idmod=' . $oApiModule->get('idmod') . '&contenido=' . $contenido . '\',\'right_bottom\',\'main.php?area=mod_edit&frame=4&action=&idmod=' . $oApiModule->get('idmod') . '&sync=1&contenido=' . $contenido . '\');"><img src="images/sync_from_files.png" alt="' . i18n("Module needs synchronization") . '" title="' . i18n("Module needs synchronization") . '" style="padding-left: 2px;"></a>';
        }
        else {
            $syncbutton = '<img src="images/synchronized.png" alt="' . i18n("Module is synchronized") . '" title="' . i18n("Module is synchronized") . '" style="padding-left: 2px;">';
        }
        
        $mlist->setActions($iMenu, "todo", $todo->render());
        $mlist->setActions($iMenu, "delete", $deletebutton);
        $mlist->setActions($iMenu, "sync", $syncbutton);
        
        if (isset($_GET['idmod']) && $_GET['idmod'] == $idmod) {
            $mlist->setExtra($iMenu, 'id="marked" ');
        }     
    }
}

$deleteScript = '
    <script type="text/javascript">

        var sid = "'.$sess->id.'";
        box = new messageBox("", "", "", 0, 0);

        function deleteModule(idmod) {

            //console.log(parent.frames[1].document.filter.sortorder);
            
            form = document.getElementById("filter");

            url  = "main.php?area=mod_edit";
            url += "&action=mod_delete";
            url += "&frame=4";
            url += "&idmod=" + idmod;
            url += "&contenido=" + sid;
            url += get_registered_parameters();
            url += "&sortby=" + parent.frames[1].document.filter.sortby;
            url += "&sortorder=" + parent.frames[1].document.filter.sortorder;
            url += "&filter=" + parent.frames[1].document.filtertype;
            url += "&elemperpage=" + parent.frames[1].document.filter.elemperpage;
            url += "&page=" + parent.frames[1].document.filter.page;
            parent.parent.right.right_bottom.location.href = url;
        }

    </script>';

$sShowUsedInfo = ' 
    <script type="text/javascript">       
        $(document).ready(function() {
            
            $(".in_used_mod").on("click", function() {
                var iId = $(this).attr("rel");
                
                var modName = $(this).parents().filter("td[align=left]").next().text();
                if (iId) {
                    $.post(
                        "' . $cfg['path']['contenido_fullhtml'] . 'ajaxmain.php' . '", 
                            { area: "' . $area . '", ajax: "inused_module", id: iId, contenido: sid }, 
                            function(data) {
                                var inUseTitle = "' . i18n("The module '%s' is used for following templates") . '";
                                inUseTitle = inUseTitle.replace(/%s/, modName);    
                            box.notify(inUseTitle, data);
                            } 
                        );
                }    
            });
        });
    </script>';

$sMarkRow = '
    <script language="javascript">    
        if (document.getElementById(\'marked\')) {
            row.click(document.getElementById(\'marked\'));
        }
    </script>';
    
$oPage->setMargin(0);
$oPage->addScript('messagebox', '<script type="text/javascript" src="scripts/messageBox.js.php?contenido='.$sess->id.'"></script>');
$oPage->addScript('jquery', '<script type="text/javascript" src="scripts/jquery/jquery.js"></script>');
$oPage->addScript('delete', $deleteScript);
$oPage->addScript('showUsedInfo', $sShowUsedInfo);
$oPage->addScript('cfoldingrow.js', '<script language="JavaScript" src="scripts/cfoldingrow.js"></script>');
$oPage->addScript('parameterCollector.js', '<script language="JavaScript" src="scripts/parameterCollector.js"></script>');
$oPage->setContent($mlist->render(false).$sMarkRow);

//generate current content for Object Pager
$oPagerLink = new cHTMLLink;
$pagerl="pagerlink";
$oPagerLink->setTargetFrame('left_bottom');
$oPagerLink->setLink("main.php");
$oPagerLink->setCustom("elemperpage", $_REQUEST["elemperpage"]);
if(isset($_REQUEST["filter"])) $oPagerLink->setCustom("filter", stripslashes($_REQUEST["filter"]));
if(isset($_REQUEST["sortby"])) $oPagerLink->setCustom("sortby", $_REQUEST["sortby"]);
if(isset($_REQUEST["sortorder"])) $oPagerLink->setCustom("sortorder", $_REQUEST["sortorder"]);
$oPagerLink->setCustom("frame", $frame);
$oPagerLink->setCustom("area", $area);
$oPagerLink->enableAutomaticParameterAppend();
$oPagerLink->setCustom("contenido", $sess->id);
$oPager = new cObjectPager("02420d6b-a77e-4a97-9395-7f6be480f497", $iItemCount, $_REQUEST["elemperpage"], $_REQUEST["page"], $oPagerLink, "page", $pagerl);

//add slashes, to insert in javascript
$sPagerContent = $oPager->render(1);
$sPagerContent = str_replace('\\', '\\\\', $sPagerContent);
$sPagerContent = str_replace('\'', '\\\'', $sPagerContent);

//send new object pager to left_top
$sRefreshPager = '
    <script type="text/javascript">
        var sNavigation = \''.$sPagerContent.'\';
        var left_top = parent.left_top;
        if (left_top.document) {
            var oPager = left_top.document.getElementById(\'02420d6b-a77e-4a97-9395-7f6be480f497\');
            if (oPager) {
                oInsert = oPager.firstChild;
                oInsert.innerHTML = sNavigation;
                left_top.toggle_pager(\'02420d6b-a77e-4a97-9395-7f6be480f497\');
            }
        }
    </script>';
            
$oPage->addScript('refreshpager', $sRefreshPager); 

$oPage->render();
?>