<?php
function deleteTableData($db, $table, $aFilter = array()) {
    
    # Transform the filter array to a query string
    $sFilter = '';
    if (count($aFilter)) {
        $sFilter = ' WHERE (';
        foreach ($aFilter as $key => $value) {
            if (is_array($value)) {
                $sFilter .= '(`' . $key . '` IN ("' . implode('","', $value) . '")) AND ';
            }
            elseif (strtoupper(substr($value, 0, 6)) == 'SELECT') {
                $sFilter .= '(`' . $key . '` IN (' . $value . ')) AND ';
            }
            else {
                $sFilter .= '(`' . $key . '`="' . $value . '") AND ';
            }
        }
        $sFilter = substr($sFilter, 0, -5) . ')';
    }
    
    # Delete the data from this table
    $db->query('DELETE FROM ' . $table . $sFilter);
}
function exportTableData($file, $table, $aFilter = array(), $aReplacements = array()) {
    global $cfg;
    
    $iStart = time();
    $iMET = (intval(ini_get('max_execution_time')) - 10); # We need some time for other tasks
    $db = new DB();
    
    # Open the output file
    if (!$handle = fopen($file, 'a')) {
        return false;
    }
    
    # Get the key (first) column in the table (we sort it on this to export
    # each row just once if we split because of the time management)
    $db->query('SHOW COLUMNS FROM ' . $table);
    $db->next_record();
    $row = $db->toArray(DB_SQL_Abstract::FETCH_NUMERIC);
    $key_column = $row[0];
    
    # Transform the filter array to a query string
    $sFilter = '';
    if (count($aFilter)) {
        $sFilter = ' WHERE (';
        foreach ($aFilter as $key => $value) {
            if (is_array($value)) {
                $sFilter .= '(`' . $key . '` IN ("' . implode('","', $value) . '")) AND ';
            }
            elseif (strtoupper(substr($value, 0, 6)) == 'SELECT') {
                $sFilter .= '(`' . $key . '` IN (' . $value . ')) AND ';
            }
            else {
                $sFilter .= '(`' . $key . '`="' . $value . '") AND ';
            }
        }
        $sFilter = substr($sFilter, 0, -5) . ')';
    }
    
    # Get the amount of rows in this table
    $db->query('SELECT COUNT(' . $key_column . ') AS num_rows FROM ' . $table . $sFilter);
    $db->next_record();
    $num_rows = $db->f('num_rows');
    
    # Get the columns
    $return = '';
    $db->query('SELECT * FROM ' . $table . $sFilter . ' ORDER BY ' . $key_column . ' LIMIT 0, 1');
    if ($db->next_record()) {
        $row = $db->toArray(DB_SQL_Abstract::FETCH_BOTH);
        $return .= 'INSERT INTO `' . str_replace($cfg['sql']['sqlprefix'], '!PREFIX!', $table) . '` (`';
        $keys = array();
        foreach ($row as $key => $value) {
            if (!is_numeric($key)) {
                $keys[] = $key;
            }
        }
        $return .= implode('`, `', $keys);
        $return .= '`) VALUES' . "\n";
    }
    
    # Query the data
    $current_row = 0;
    $db->query('SELECT * FROM ' . $table . $sFilter . ' ORDER BY ' . $key_column . ' LIMIT ' . $current_row . ', ' . ($num_rows - $current_row));
    $num_fields = $db->num_fields();
    while ($db->next_record()) {
        $row = $db->toArray(DB_SQL_Abstract::FETCH_BOTH);
        $return .= '(';
        for ($i = 0; $i < $num_fields; $i++) {
            $bOK = false;
            foreach ($aReplacements as $key => $value) {
                if ($key == $keys[$i]) {
                    if (($table == $cfg['tab']['properties']) && ($value == '!ID_*!')) {
                        switch ($row[($i - 1)]) {
                            case 'idclient':
                            case 'clientsetting':
                                $return .= "'!IDCLIENT!'";
                                break;
                            default:
                                $return .= "'!" . strtoupper($row[($i - 1)]) . "_" . $row[$i] . "!'";
                                break;
                        }
                    }
                    elseif ($value == 'NULL') {
                        $return .= 'NULL';
                    }
                    else {
                        $return .= "'" . str_replace(array("'", '\\', "\r", "\n", '*'), array("''", '\\\\', "\\r", "\\n", $row[$i]), $value) . "'";
                    }
                    $bOK = true;
                }
            }
            if (!$bOK) {
                if ((!isset($row[$i])) || ($row[$i] == 'NULL')) {
                    $return .= 'NULL';
                } elseif (is_numeric($row[$i])) {
                    $return .= $row[$i];
                } else {
                    $return .= "'" . str_replace(array("'", '\\', "\r", "\n"), array("''", '\\\\', "\\r", "\\n"), $row[$i]) . "'";
                }
            }
            if ($i < ($num_fields - 1)) {
                $return .= ', ';
            }
        }
        $return .= ')';
        $current_row ++;
        
        # Time management
        if ((time() - $iStart) >= $iMET) {
            $return .= ';' . "\n";
            fwrite($handle, $return);
            return array('table' => $table, 'row' => $current_row);
        }
        
        # Query string length management
        elseif (strlen($return) > 30000) {
            $return .= ';' . "\n";
            fwrite($handle, $return);
            $return = 'INSERT INTO `' . str_replace($cfg['sql']['sqlprefix'], '!PREFIX!', $table) . '` (';
            $return .= implode(', ', $keys);
            $return .= ') VALUES' . "\n";
        }
        else {
            $return .= ',' . "\n";
        }
    }
    $return = (((strlen($return) > 1) && (substr($return, -2) == ',' . "\n")) ? substr($return, 0, -2) . ';' : '');
    fwrite($handle, $return);
    fclose($handle);
    return true;
}
function installClient($iClient, $sDomain, $sDesign, $sRepository, $sUrl, $sCode) {
    global $cfgClient;
    
    $sLogin = getProperty(0, 'design_repository', $sRepository, 'server', 'login');
    $sPassword = getProperty(0, 'design_repository', $sRepository, 'server', 'password');
    $iErrNo = 0;
    $sErrMsg = '';
    $bOK = false;
    $sPath = $cfgClient[$iClient]['path']['frontend'];
    
    # First get the design package
    if (intval(getProperty(0, 'system', 'setting', 'ftp', 'use'))) {
        $bOK = true;
        
        # Get the FTP access data
        $sFTPServer         = getProperty(0, 'system', 'setting', 'ftp', 'server');
        $iFTPPort           = intval(getProperty(0, 'system', 'setting', 'ftp', 'port'));
        $sFTPUser           = getProperty(0, 'system', 'setting', 'ftp', 'user');
        $sFTPPassword       = getProperty(0, 'system', 'setting', 'ftp', 'password');
        $sFTPProtocol       = getProperty(0, 'system', 'setting', 'ftp', 'protocol');
        $sBackendFTPPath    = getProperty(0, 'system', 'setting', 'ftp', 'backend_path');
        $sFrontendFTPPath   = getProperty(0, 'system', 'setting', 'ftp', 'frontend_path');
        $iFTPPort           = (($iFTPPort) ? $iFTPPort : (($sFTPProtocol == 'sftp') ? 22 : 21));
        
        # Establish the FTP connection
        switch ($sFTPProtocol) {
            case 'ftp':
                $ftp = new ftp($sFTPServer, $iFTPPort, $sFTPUser, $sFTPPassword, $sFrontendFTPPath);
                break;
            case 'sftp':
                $ftp = new sftp($sFTPServer, $iFTPPort, $sFTPUser, $sFTPPassword, $sFrontendFTPPath);
                break;
        }
        if (!$ftp) {
            echo $notification->returnNotification("error", sprintf(i18n("Unable to create a (S)FTP connection to %s"), $sFTPServer));
            flush();
            $bOK = false;
        }
        echo '<p>' . i18n("FTP connection established") . '</p>';
        flush();
        
        # Determin the client's path under the FTP frontend path
        $aPath = explode('/', $sPath);
        while ((count($aPath)) && (!$ftp->isdir($sFrontendFTPPath . implode('/', $aPath)))) {
            array_shift($aPath);
        }
        $sClientPath = $sFrontendFTPPath . implode('/', $aPath);
        
        # Download the design package
        if (class_exists('ZipArchive')) {
            if (getRemoteContentToFile($sUrl . '?Design=' . urlencode($sDesign) . '&Action=GetZip&Code=' . urlencode($sCode) . '&Domain=' . urlencode($sDomain), $sPath . 'cache/' . $sDesign . '.zip', $iErrNo, $sErrMsg, $sLogin, $sPassword)) {
                echo '<p>' . i18n("Zip file downloaded") . '</p>';
                flush();
                
                # Extract the zip file to it's folder
                $zip = new ZipArchive();
                if ($zip->open($sPath . 'cache/' . $sDesign . '.zip')) {
                    mkdir($sPath . 'cache/' . $sDesign, 0755, true);
                    $zip->extractTo($sPath . 'cache/' . $sDesign);
                    $zip->close();
                }
                echo '<p>' . i18n("Zip file extracted") . '</p>';
                flush();
                $bOK = true;
                
                # Delete the zip file
                unlink($sPath . 'cache/' . $sDesign . '.zip');
                
                # Upload all client files per FTP
                if ($ftp->putAll($sPath . 'cache/' . $sDesign . '/files/', $sClientPath)) {
                    echo '<p>' . i18n("Files placed per FTP") . '</p>';
                    flush();
                }
                else {
                    echo $notification->returnNotification("error", i18n("Unable to write files per FTP"));
                    flush();
                    removeDir($sPath . 'cache/' . $sDesign);
                    $bOK = false;
                }
            }
            else {
                echo $notification->returnNotification("error", i18n("Failed to download zip file")) . '</p>';
                flush();
            }
        }
        if (!$bOK) {
            $bOK = true;
            
            # Get the folders and files
            $aFoldersAndFiles = json_decode(getRemoteContent($sUrl . '?Design=' . urlencode($sDesign) . '&Action=Files&Code=' . urlencode($sCode) . '&Domain=' . urlencode($sDomain), $iErrNo, $sErrMsg, $sLogin, $sPassword));
            $iDone = 0;
            for ($i = 0, $n = count($aFoldersAndFiles); $i < $n; $i ++) {
                if (substr($aFoldersAndFiles[$i], -1) == '/') {
                    if ($ftp->mkdir($sClientPath . 'cache/' . $sDesign . '/' . $aFoldersAndFiles[$i])) {
                        echo '<p>' . sprintf(i18n("Folder %s created"), $aFoldersAndFiles[$i]) . '</p>';
                        flush();
                    }
                    else {
                        echo $notification->returnNotification("error", sprintf(i18n("Unable to create folder %s"), $aFoldersAndFiles[$i]));
                        flush();
                        $bOK = false;
                        break;
                    }
                }
                else {
                    if (getRemoteContentToFile($sUrl . '?Design=' . $sDesign . '&Action=GetFile&File=' . urlencode($aFoldersAndFiles[$i]) . '&Code=' . urlencode($sCode) . '&Domain=' . urlencode($sDomain), $sPath . 'cache/' . basename($aFoldersAndFiles[$i]), $iErrNo, $sErrMsg, $sLogin, $sPassword)) {
                        if (!is_file($sPath . 'cache/' . basename($aFoldersAndFiles[$i]))) {
                            echo $notification->returnNotification("error", sprintf(i18n("Unable to write temporary file %s in the client's cache folder (cache/)"), $aFoldersAndFiles[$i]));
                            flush();
                            $bOK = false;
                            break;
                        }
                        echo '<p>' . sprintf(i18n("File %s downloaded"), $aFoldersAndFiles[$i]) . '</p>';
                        flush();
                    }
                    else {
                        echo $notification->returnNotification("error", $sErrMsg);
                        flush();
                        $bOK = false;
                        break;
                    }
                }
                $iDone ++;
            }
            
            # Upload all client files per FTP
            if ($ftp->putAll($sPath . 'cache/' . $sDesign . '/files/', $sClientPath)) {
                echo '<p>' . i18n("Files placed per FTP") . '</p>';
                flush();
            }
            else {
                echo $notification->returnNotification("error", i18n("Unable to write files per FTP"));
                flush();
                removeDir($sPath . 'cache/' . $sDesign);
                $bOK = false;
            }
        }
        
        # Close the FTP connection
        $ftp->quit();
    }
    else {
        if (class_exists('ZipArchive')) {
            if (getRemoteContentToFile($sUrl . '?Design=' . urlencode($sDesign) . '&Action=GetZip&Code=' . urlencode($sCode) . '&Domain=' . urlencode($sDomain), $sPath . 'cache/' . $sDesign . '.zip', $iErrNo, $sErrMsg, $sLogin, $sPassword)) {
                echo '<p>' . i18n("Zip file downloaded") . '</p>';
                flush();
                
                # Extract the zip file to it's folder
                $zip = new ZipArchive();
                if ($zip->open($sPath . 'cache/' . $sDesign . '.zip')) {
                    mkdir($sPath . 'cache/' . $sDesign, 0775, true);
                    $zip->extractTo($sPath . 'cache/' . $sDesign);
                    $zip->close();
                }
                echo '<p>' . i18n("Zip file extracted") . '</p>';
                flush();
                $bOK = true;
                
                # Delete the zip file
                unlink($sPath . 'cache/' . $sDesign . '.zip');
                
                # Move the client files to the client path
                copyr($sPath . 'cache/' . $sDesign . '/files/', $sPath);
                echo '<p>' . i18n("Files copied to the client path") . '</p>';
            }
            else {
                echo $notification->returnNotification("error", i18n("Failed to download zip file")) . '</p>';
                flush();
            }
        }
        if (!$bOK) {
            $bOK = true;
            $aFoldersAndFiles = json_decode(getRemoteContent($sUrl . '?Design=' . urlencode($sDesign) . '&Action=Files&Code=' . urlencode($sCode) . '&Domain=' . urlencode($sDomain), $iErrNo, $sErrMsg, $sLogin, $sPassword));
            for ($i = 0, $n = count($aFoldersAndFiles); $i < $n; $i ++) {
                if (substr($aFoldersAndFiles[$i], -1) == '/') {
                    if (mkdir($sPath . 'cache/' . $sDesign . '/' . $aFoldersAndFiles[$i], 0775)) {
                        echo '<p>' . sprintf(i18n("Folder %s created"), $aFoldersAndFiles[$i]) . '</p>';
                        flush();
                    }
                    else {
                        echo $notification->returnNotification("error", sprintf(i18n("Unable to create folder %s"), $aFoldersAndFiles[$i]));
                        flush();
                        $bOK = false;
                        break;
                    }
                }
                else {
                    if (getRemoteContentToFile($sUrl . '?Design=' . $sDesign . '&Action=GetFile&File=' . urlencode($aFoldersAndFiles[$i]) . '&Code=' . urlencode($sCode) . '&Domain=' . urlencode($sDomain), $sPath . 'cache/' . $sDesign . '/' . $aFoldersAndFiles[$i], $iErrNo, $sErrMsg, $sLogin, $sPassword)) {
                        echo '<p>' . sprintf(i18n("File %s downloaded"), $aFoldersAndFiles[$i]) . '</p>';
                        flush();
                    }
                    else {
                        echo $notification->returnNotification("error", $sErrMsg);
                        flush();
                        $bOK = false;
                        break;
                    }
                }
            }
        }
        if ($bOK) {
            
            # Check if the design.xml file is present (if not, file and folder rights permit PHP to write files)
            if (!is_file($sPath . 'cache/' . $sDesign . '/design.xml')) {
                echo $notification->returnNotification("error", i18n("Design manager is not allowed to write files and folders directly, please switch to the Settings area and enter your data to use FTP instead."));
                flush();
                $bOK = false;
            }
        }
    }
    if ($bOK) {
        
        # Install the design
        installClientData($iClient, $sDesign);
    }
    
    # Delete the installation package
    removeDir($sPath . 'cache/' . $sDesign);
    echo '<p>' . i18n("Installation package removed") . '</p>';
    flush();
}
function installClientData($iClient, $sDesign) {
    global $cfg, $cfgClient;
    
    $db = new DB();
    $iLang = 0;
    
    # First get all used IDs for the client
    $aReplaces = array('!PREFIX!' => $cfg['sql']['sqlprefix'], '!IDCLIENT!' => $iClient);
    $aFiles = getFilesInDirectory($cfgClient[$iClient]['path']['frontend'] . 'cache/' . $sDesign . '/data/', '_*.sql', SORT_ASC);
    foreach ($aFiles as $sFile) {
        $fp = fopen($cfgClient[$iClient]['path']['frontend'] . 'cache/' . $sDesign . '/data/' . $sFile, 'r');
        while (($c = fgets($fp)) !== false) {
            $p1 = strpos($c, '!ID');
            while ($p1 !== false) {
                $p2 = strpos($c, '!', ($p1 + 1));
                $t = substr($c, $p1, ($p2 - $p1 + 1));
                if (!array_key_exists($t, $aReplaces)) {
                    $aReplaces[$t] = '';
                }
                $p1 = strpos($c, '!ID', ($p2 + 1));
            }
        }
    }
    ksort($aReplaces, SORT_NATURAL);
    
    # Get new values for all used keys
    foreach ($aReplaces as $key => $value) {
        if (strpos($key, '_') !== false) {
            $aID = explode('_', substr($key, 1, -1));
            if ($aID[1] == 0) {
                $aReplaces[$key] = 0;
            }
            else {
                switch ($aID[0]) {
                    case 'IDART':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['art']);
                        break;
                    case 'IDARTLANG':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['art_lang']);
                        break;
                    case 'IDARTSPEC':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['art_spec']);
                        break;
                    case 'IDCAT':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['cat']);
                        break;
                    case 'IDCATART':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['cat_art']);
                        break;
                    case 'IDCATLANG':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['cat_lang']);
                        break;
                    case 'IDTREE':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['cat_tree']);
                        break;
                    case 'IDCLIENTSLANG':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['clients_lang']);
                        break;
                    case 'IDCONFIGCLIENT':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['config_client']);
                        break;
                    case 'IDCONTAINER':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['container']);
                        break;
                    case 'IDCONTAINERC':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['container_conf']);
                        break;
                    case 'IDCONTENT':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['content']);
                        break;
                    case 'IDDBFS':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['dbfs']);
                        break;
                    case 'IDSFI':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['file_information']);
                        break;
                    case 'IDLANG':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['lang']);
                        if ($iLang == 0) {
                            $iLang = $aReplaces[$key];
                        }
                        break;
                    case 'IDLAY':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['lay']);
                        break;
                    case 'IDMETATAG':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['meta_tag']);
                        break;
                    case 'IDMOD':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['mod']);
                        break;
                    case 'IDMODTRANSLATION':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['mod_translations']);
                        break;
                    case 'IDPROPERTY':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['properties']);
                        break;
                    case 'IDTPL':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['tpl']);
                        break;
                    case 'IDTPLCFG':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['tpl_conf']);
                        break;
                    case 'IDUPL':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['upl']);
                        break;
                    case 'IDUPLMETA':
                        $aReplaces[$key] = $db->nextid($cfg['tab']['upl_meta']);
                        break;
                }
            }
        }
    }
    
    # Enter the client's data into the database
    foreach ($aFiles as $sFile) {
        $c = file_get_contents($cfgClient[$iClient]['path']['frontend'] . 'cache/' . $sDesign . '/data/' . $sFile);
        if ($sFile == '_clients.sql') {
            $c = substr($c, (strpos($c, "\n") + 1));
            $c = str_replace(array_keys($aReplaces), $aReplaces, $c);
            $c = str_replace(array('(', ')', ';'), '', $c);
            $a = explode(',', $c);
            $iCat = (int) str_replace("'", '', $a[8]);
            $iArt = (int) str_replace("'", '', $a[9]);
            $sql = str_replace(array('|1', '|2'), array($iCat, $iArt), 'UPDATE `' . $cfg['tab']['clients'] . '` SET `errsite_cat` = |1, `errsite_art` = |2 WHERE (`idclient`=' . $iClient . ');');
            $db->query($sql);
            #echo '<pre>' . htmlentities($sql) . '</pre>';
        }
        else {
            $c = str_replace(array_keys($aReplaces), $aReplaces, $c);
            $asql = explode(';' . "\n", $c);
            foreach ($asql as $sql) {
                $db->query($sql);
                #echo '<pre>' . htmlentities($sql) . '</pre>';
            }
        }
    }
    echo '<p>' . i18n("Data entered into the database") . '</p>';
    flush();
    
    # Write the idlang of the client's first language into the client's config.php file
    $res = fopen($cfgClient[$iClient]['path']['frontend'] . 'config.php', 'rb+');
    $res2 = fopen($cfgClient[$iClient]['path']['frontend'] . 'config.php.new', 'ab+');
    if (($res) && ($res2)) {
        while (!feof($res)) {
            $buffer = fgets($res, 4096);
            $buffer = str_replace('!LANG!', $iLang, $buffer);
            fwrite($res2, $buffer);
        }
        echo '<p>' . i18n("File config.php updated") . '</p>';
        flush();
    } else {
        $note = $notification->returnNotification("error",i18n("Couldn't write the file config.php.")) . '<br />';
    }
    fclose($res);
    fclose($res2);
    unlink($cfgClient[$iClient]['path']['frontend'] . 'config.php');
    rename($cfgClient[$iClient]['path']['frontend'] . 'config.php.new', $cfgClient[$iClient]['path']['frontend'] . 'config.php');

    $db->disconnect();
}
?>