<?php
/**
 * Project:
 * DZIRCMS Content Management System
 *
 * Description:
 * Design Shop
 *
 * Requirements:
 * @con_php_req 7.0
 *
 *
 * @package    DZIRCMS Frontend Designs
 * @version    1.0
 * @author     René Mansveld
 * @copyright  Spider IT Deutschland
 * @license    https://www.dzir.org/cms/license/LICENCE.txt
 * @link       https://www.dzir.org/cms/
 * @link       https://www.spider-it.de/
 * @since      file available since DZIRCMS release 2.2.0
 *
 * {@internal
 *   created  2022-01-15
 * }}
 *
 */

if (!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}

$plugin_name = "ds";

if (!$perm->have_perm_area_action($plugin_name, $plugin_name)) {
    exit;
}

switch ($_GET['operation']) {
    case 'clients':
    case '':
        $smarty = new Smarty();
        $smarty->assign('operation', 'clients');
        if (($perm->have_perm_area_action($plugin_name, 'exchange')) || ($perm->have_perm_area_action($plugin_name, 'export'))) {
            $aClients = array(array('idclient' => 0, 'name' => '-- ' . i18n("New") . ' --'));
        }
        else {
            $aClients = array();
        }
        $oCC = new cApiClientCollection();
        $oCC->setOrder('name');
        $oCC->query();
        while (($oC = $oCC->next()) !== false) {
            $aClients[] = array('idclient' => $oC->get('idclient'), 'name' => $oC->get('name'));
        }
        unset($oC, $oCC);
        $smarty->assign('contenido', $contenido);
        $smarty->assign('clients', $aClients);
        $smarty->assign('client', $_GET['client']);
        $smarty->display(realpath(dirname(__FILE__) . '/../templates/default/left-bottom.html'));
        break;
    case 'repositories':
    case 'settings':
        echo '<script type="text/javascript" src="scripts/jquery/jquery.js"></script>';
        echo '<script>$(document).ready(function(){$(\'body\').css(\'background-color\', \'#E2E2E2\');});</script>';
        break;
}
?>