<?php
/**
 * Project:
 * DZIRCMS Content Management System
 *
 * Description:
 * Design Shop
 *
 * Requirements:
 * @con_php_req 7.0
 *
 *
 * @package    DZIRCMS Frontend Designs
 * @version    1.0
 * @author     René Mansveld
 * @copyright  Spider IT Deutschland
 * @license    https://www.dzir.org/cms/license/LICENCE.txt
 * @link       https://www.dzir.org/cms/
 * @link       https://www.spider-it.de/
 * @since      file available since DZIRCMS release 2.2.0
 *
 * {@internal
 *   created  2022-01-15
 * }}
 *
 */

if (!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}

$plugin_name = "ds";

if (!$perm->have_perm_area_action($plugin_name, $plugin_name)) {
    exit;
}

$aLinks = array();
$aLinks[] = array('url' => 'javascript:Navigate(\'clients\');', 'class' => (((!isset($_GET['operation'])) || ($_GET['operation'] == 'clients')) ? 'active' : 'normal'), 'text' => i18n("Clients"));
$aLinks[] = array('url' => 'javascript:Navigate(\'repositories\');', 'class' => (($_GET['operation'] == 'repositories') ? 'active' : 'normal'), 'text' => i18n("Repositories"));
$aLinks[] = array('url' => 'javascript:Navigate(\'settings\');', 'class' => (($_GET['operation'] == 'settings') ? 'active' : 'normal'), 'text' => i18n("Settings"));

$smarty = new Smarty();
$smarty->assign('contenido', $contenido);
$smarty->assign('links', $aLinks);
$smarty->display(realpath(dirname(__FILE__) . '/../templates/default/left-top.html'));
?>