<?php
/**
 * Project:
 * DZIRCMS Content Management System
 *
 * Description:
 * Design Shop
 *
 * Requirements:
 * @con_php_req 7.0
 *
 *
 * @package    DZIRCMS Frontend Designs
 * @version    1.0
 * @author     René Mansveld
 * @copyright  Spider IT Deutschland
 * @license    https://www.dzir.org/cms/license/LICENCE.txt
 * @link       https://www.dzir.org/cms/
 * @link       https://www.spider-it.de/
 * @since      file available since DZIRCMS release 2.2.0
 *
 * {@internal
 *   created  2022-01-15
 * }}
 *
 */

if (!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}

$plugin_name = "ds";

if (!$perm->have_perm_area_action($plugin_name, $plugin_name)) {
    exit;
}

$smarty = new Smarty();
switch ($_GET['operation']) {
    case 'clients':
        $smarty->assign('shownav', ((isset($_GET['client'])) ? true : false));
        $smarty->assign('operation', $_GET['operation']);
        $smarty->assign('client', (int) $_GET['client']);
        $smarty->assign('contenido', $contenido);
        $smarty->assign('exchange', (((int) $_GET['client'] == 0) ? i18n("Install") : i18n("Exchange")));
        $smarty->assign('export', i18n("Export"));
        $smarty->assign('may_exchange', $perm->have_perm_area_action($plugin_name, 'exchange'));
        $smarty->assign('may_export', (($perm->have_perm_area_action($plugin_name, 'export')) && ($_GET['client'] > 0)));
        break;
    default:
        $smarty->assign('shownav', false);
        break;
}
$smarty->display(realpath(dirname(__FILE__) . '/../templates/default/right-top.html'));
?>