<?php
/**
 * Project:
 * DZIRCMS Content Management System
 *
 * Description:
 * Module Manager
 *
 * Requirements:
 * @con_php_req 5.4
 *
 *
 * @package    DZIRCMS Frontend modules
 * @version    1.0
 * @author     René Mansveld
 * @copyright  Spider IT Deutschland
 * @license    https://www.dzir.org/cms/license/LICENCE.txt
 * @link       https://www.dzir.org/cms/
 * @link       https://www.spider-it.de/
 * @since      file available since DZIRCMS release 2.2.0
 *
 * {@internal
 *   created  2022-01-06
 * }}
 *
 */

if (!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}

$plugin_name = "mom";

plugin_include($plugin_name, 'includes/config.plugin.php');

if (!$perm->have_perm_area_action($plugin_name, $plugin_name)) {
    exit;
}

$oTpl = new Template();

$sContent = '<div id="navcontainer" style="padding-left: 250px;">
    <div class="frame_handle" style="display: none; float: left;">
        <img style="border: 0px; float: left;" src="images/frame_handle_re.gif">
        <img id="toggleimage" border="0" src="images/spacer.gif" onclick="parent.parent.frameResize.toggle()" style="margin: 7px 0px 0px 7px;">
    </div>
    <ul id="navlist">';
if ($perm->have_perm_area_action($plugin_name, 'modules')) {
    $sContent .= '
        <li id="mom_0" class="item">
            <a' . (($perm->have_perm_area_action($plugin_name, 'modules')) ? ' class="current"' : '') . ' href="main.php?area=mom&what=modules&frame=4&contenido=' . $contenido . '" target="right_bottom" onclick="sub.clicked(this)">' . i18n("Modules") . '</a>
        </li>';
}
if ($perm->have_perm_area_action($plugin_name, 'repositories')) {
    $sContent .= '
        <li id="mom_1" class="item">
            <a' . ((!$perm->have_perm_area_action($plugin_name, 'modules')) ? ' class="current"' : '') . ' href="main.php?area=mom&what=repositories&frame=4&contenido=' . $contenido . '" target="right_bottom" onclick="sub.clicked(this)">' . i18n("Repositories") . '</a>
        </li>';
}
if ($perm->have_perm_area_action($plugin_name, 'settings')) {
    $sContent .= '
        <li id="mom_2" class="item">
            <a' . ((!$perm->have_perm_area_action($plugin_name, 'modules')) ? ' class="current"' : '') . ' href="main.php?area=mom&what=settings&frame=4&contenido=' . $contenido . '" target="right_bottom" onclick="sub.clicked(this)">' . i18n("Settings") . '</a>
        </li>';
}
$sContent .= '
    </ul>
</div>';

$oTpl->set('s', 'CONTENT', $sContent);
$oTpl->generate($cfg['path']['contenido'] . $cfg['path']['plugins'] . $plugin_name . '/templates/default/page.html');
?>