<?php
/**
 * Project: 
 * Contenido Content Management System
 * 
 * Description: 
 * 
 * Requirements: 
 * @con_php_req 5
 *
 * @package    ContenidoBackendArea
 * @version    0.2
 * @author     unknown
 * @copyright  four for business AG <www.4fb.de>
 * @license    http://www.contenido.org/license/LIZENZ.txt
 * @link       http://www.4fb.de
 * @link       http://www.contenido.org
 * 
 * 
 * 
 * {@internal 
 *   created  unknown
 *   modified 2008-07-07, bilal arslan, added security fix
 *
 *   $Id$:
 * }}
 * 
 */
if(!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}

class cSetupSetupSummary extends cSetupMask {
	function __construct($step, $previous, $next) {
		cSetupMask::__construct("templates/setup/forms/setupsummary.tpl", $step);
		$this->setHeader(i18n_setup("Summary"));
		$this->_oStepTemplate->set("s", "TITLE", i18n_setup("Summary"));
		$this->_oStepTemplate->set("s", "DESCRIPTION", i18n_setup("Please check your settings and click on the next button to start the installation"));
        
		$cHTMLErrorMessageList = new cHTMLErrorMessageList;
		
		switch ($_SESSION["setuptype"]) {
			case "setup":
				$sType = i18n_setup("Setup");
				break;
			case "upgrade":
				$sType = i18n_setup("Upgrade");
				break;
			case "migration":
				$sType = i18n_setup("Migration");
				break;
		}
		
		switch ($_SESSION["configmode"]) {
			case "save":
				$sConfigMode = i18n_setup("Save");
				break;
			case "download":
				$sConfigMode = i18n_setup("Download");
				break;
		}
		
		$aDbEncoding = array(
			'swe7_swedish_ci'     => '7bit Swedish (swe7)',
			'armscii8_general_ci' => 'ARMSCII-8 Armenian (armscii8)',
			'big5_chinese_ci'     => 'Big5 Traditional Chinese (big5)',
			'binary'              => 'Binary pseudo charset (binary)',
			'latin1_general_ci'   => 'cp1252 West European (latin1)',
			'dec8_swedisch_ci'    => 'DEC West European (dec8)',
			'cp852_general_ci'    => 'DOS Central European (cp852)',
			'keybcs2_general_ci'  => 'DOS Kamenicky Czech-Slovak (keybcs2)',
			'cp866_general_ci'    => 'DOS Russian (cp866)',
			'cp850_general_ci'    => 'DOS West European (cp850)',
			'ujis_japanese_ci'    => 'EUC-JP Japanese (ujis)',
			'euckr_korean_ci'     => 'EUC-KR Korean (euckr)',
			'gb2312_chinese_ci'   => 'GB2312 Simplified Chinese (gb2312)',
			'gbk_chinese_ci'      => 'GBK Simplified Chinese (gbk)',
			'geostd8_general_ci'  => 'GEOSTD8 Georgian (geostd8)',
			'hp8_english_ci'      => 'HP West European (hp8)',
			'latin2_general_ci'   => 'ISO 8859-2 Central European (latin2)',
			'greek_general_ci'    => 'ISO 8859-7 Greek (greek)',
			'hebrew_general_ci'   => 'ISO 8859-8 Hebrew (hebrew)',
			'latin5_turkish_ci'   => 'ISO 8859-9 Turkish (latin5)',
			'latin7_general_ci'   => 'ISO 8859-13 Baltic (latin7)',
			'koi8r_general_ci'    => 'KOI8-R Relcom Russian (koi8r)',
			'koi8u_general_ci'    => 'KOI8-U Ukrainian (koi8u)',
			'macce_general_ci'    => 'Mac Central European (macce)',
			'macroman_general_ci' => 'Mac West European (macroman)',
			'sjis_japanese_ci'    => 'Shift-JIS Japanese (sjis)',
			'cp932_japanese_ci'   => 'SJIS for Windows Japanese (cp932)',
			'tis620_thai_ci'      => 'TIS620 Thai (tis620)',
			'ucs2_general_ci'     => 'UCS-2 Unicode (ucs2)',
			'eucjpms_japanese_ci' => 'UJIS for Windows Japanese (eucjpms)',
			'ascii_general_ci'    => 'US ASCII (ascii)',
			'utf8_general_ci'     => 'UTF-8 Unicode (utf8)',
			'utf8mb4_general_ci'  => 'UTF-8 Unicode (utf8mb4)',
			'utf16_general_ci'    => 'UTF-16 Unicode (utf16)',
			'utf32_general_ci'    => 'UTF-32 Unicode (utf32)',
			'cp1256_general_ci'   => 'Windows Arabic (cp1256)',
			'cp1257_general_ci'   => 'Windows Baltic (cp1257)',
			'cp1250_general_ci'   => 'Windows Central European (cp1250)',
			'cp1251_general_ci'   => 'Windows Cyrillic (cp1251)'
		);
		
		$messages = array(
            i18n_setup("Installation type") . ':' => $sType,
			i18n_setup("Database parameters") . ':' => i18n_setup("Host") . ': ' . $_SESSION["dbhost"] . '<br>' . i18n_setup("Name") . ': ' . $_SESSION["dbname"] . '<br>' .i18n_setup("Username") . ': ' . $_SESSION["dbuser"] . '<br>' .i18n_setup("Password") . ': ' . str_repeat('✳', strlen($_SESSION["dbpass"])) . '<br>' . i18n_setup("Encoding") . ': ' . $aDbEncoding[$_SESSION["dbencoding"]] . '<br>' . i18n_setup("Database prefix") . ': ' . $_SESSION["dbprefix"],
			i18n_setup("config.php mode") . ':' => $sConfigMode
        );
        
		$cHTMLFoldableErrorMessages = array();
		
		foreach ($messages as $key => $message) {
			$cHTMLFoldableErrorMessages[] = new cHTMLInfoMessage($key, $message);
		}
		
		$cHTMLErrorMessageList->setContent($cHTMLFoldableErrorMessages);
        $cHTMLErrorMessageList->setStyle('height: 230px;');
		
		$this->_oStepTemplate->set("s", "CONTROL_SETUPSUMMARY", $cHTMLErrorMessageList->render());
		
		$this->setNavigation($previous, $next);
	}
}
?>