<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>{TITLE}</title>
    <link rel="shortcut icon" href="images/icons/favicon.svg" />
    <link rel="stylesheet" href="style/setup.css">
    <script src="script/jquery-3.6.0.min.js"></script>
</head>
<body>
    <div class="floater"></div>
    <div class="content">
        <form id="SetupForm" name="setupform" method="post" action="index.php" onsubmit="submitForm()">
            <input id="Step" type="hidden" name="step" value="" />
            <div id="setupBox">
                <div id="Mode">
                    <img id="bright" src="images/brightmode.png" alt="{BRIGHT}" title="{BRIGHT}">
                    <img id="dark" src="images/darkmode.png" alt="{DARK}" title="{DARK}">
                </div>
                <div id="setupHead">
                    <img src="../admin/images/DZIRCMS-Logo.svg" width="231" height="74" alt="DZIRCMS" style="margin-left: 8px;" />
                    <div id="Info">
                        {INFO}
                    </div>
                </div>
                <div id="AjaxBody">
                    <div id="setupHeadlinePath">
                        <div style="float: left;">{HEADER}</div>
                        <div style="float: right;">{STEPS}</div>
                    </div>
                    <div id="setupBody">
                        {CONTENT}
                    </div>
                </div>
                <div id="setupFootnote">
                    &copy; 2013-2022 <a href="https://www.spider-it.de" target="_blank">Spider IT Deutschland</a>
                </div>
            </div>
            <div id="Hidden" style="display: none;"></div>
        </form>
    </div>
    <script>
        isMSIE = (navigator.appName == "Microsoft Internet Explorer");
        isMSIE5 = isMSIE && (navigator.userAgent.indexOf('MSIE 5') != -1);
        isMSIE5_0 = isMSIE && (navigator.userAgent.indexOf('MSIE 5.0') != -1);
        function IEAlphaInit(obj) {
            if (isMSIE && !obj.IEswapped) {
                obj.IEswapped = true;
                obj.src = 'images/spacer.gif';
            }
        }
        function IEAlphaApply(obj, img) {
            obj.src=img;
        }
        function clickHandler(obj) {
            if (obj.clicked) {
                obj.clicked = false;
            } else {
                obj.clicked = true
            }
            if (obj.clicked) { 
                if (obj.mouseIn) {
                    IEAlphaApply(obj, obj.clickimgover);
                } else {
                    IEAlphaApply(obj, obj.clickimgnormal);
                }
            } else {
                if (obj.mouseIn) {
                    IEAlphaApply(obj, obj.imgover);
                } else {
                    IEAlphaApply(obj, obj.imgnormal);
                }
            }
        }
        function mouseoverHandler(obj) {
            obj.mouseIn = true;
            
            if (obj.clicked) {
                IEAlphaApply(obj, obj.clickimgover);
            } else {
                IEAlphaApply(obj, obj.imgover);
            }
        }
        function mouseoutHandler(obj) {
            obj.mouseIn = false;
            
            if (obj.clicked) {
                IEAlphaApply(obj, obj.clickimgnormal);
            } else {
                IEAlphaApply(obj, obj.imgnormal);
            }
        }
        function showHideMessage(obj, div) {
            if (!obj.clicked) {
                div.className = 'entry_open';
            } else {
                div.className = 'entry_closed';
            }
        }
        $(document).ready(function() {
            if (window.matchMedia("(prefers-color-scheme: dark)").matches) {
                $('body').addClass('dark');
            }
        });
        $('#bright, #dark').click(function() {
            $('body').removeClass('bright').removeClass('dark').addClass($(this).attr('id'));
        });
        function reloadContent() {
            $.ajax({
                url: $('#SetupForm').attr('action'),
                method: 'post',
                data: $('#SetupForm').serialize(),
                success: function(data) {
                    $('#Hidden').html($.parseHTML(data, document, true));
                    $('#AjaxBody').html($('#Hidden').find('#AjaxBody').html());
                    $('#Hidden').html('');
                    init();
                }
            });
            
        }
        var elm;
        var left = -100;
        var width = 0;
        function updateProgressbar(percent) {
            var w = (width * percent / 100);
            $(elm).animate({'width': w + 'px'}, 1000);
        }
        function moveBarBackground() {
            var w = $(elm).width();
            var a = ((w + 200) / 200);
            if (left < -100) {
                left += 1;
            } else {
                left += a;
                $(elm).css('background-position', left + 'px 0px');
                if (left >= (w + 100)) {
                    left = -600;
                }
            }
            setTimeout('moveBarBackground()', 10);
        }
        function initProgressbar() {
            $(elm).animate({
                'width': width
            }, 500).delay(150).animate({
                'width': 2
            }, 500);
            setTimeout(function() {
                moveBarBackground();
            }, 1200);
        }
        function init() {
            $('#Prev, #Next').unbind('click').click(function(e) {
                e.preventDefault();
                reloadContent();
                return false;
            });
            
            elm = $('#ProgressBar');
            if (elm.length) {
                width = $('#ProgressBarHolder').width();
                initProgressbar();
            }
        }
        init();
    </script>
</body>
</html>